/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.scheduler.job;

import com.abssqr.plat.biz.shared.scheduler.BaseQuartzJob;
import org.quartz.Job;
import org.quartz.PersistJobDataAfterExecution;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.endpoint.event.RefreshEvent;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.stereotype.Component;

/**
 * 每五分钟刷新配置
 * @author bangis.wangdf
 * @version com.abssqr.plat.biz.shared.scheduler.job: ConfigRefreshJob.java, v 0.1 2019-08-29 18:06 bangis.wangdf Exp $ 
 */
@Component
@PersistJobDataAfterExecution
public class ConfigRefreshJob extends BaseQuartzJob implements Job {

    @Autowired
    private ConfigurableApplicationContext context;
    @Override
    public void doExecute() {
        //context.publishEvent(new RefreshEvent("refresh","refresh","刷新配置"));
    }

    @Override
    protected String getCronExpr() {
        return "0 0/5 * * * ?";
    }
}

