/*
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.dal;

public class AbsSynDataConstants{
    public static class WK_MFS_DUE_BILL{
        public static final String tableName="WK_MFS_DUE_BILL";
        public static final String  Base_WK_Column_List = "wk.INT_BAL,wk.CUR_TERM,wk.INT_RATE,wk.PRIN_BAL,wk.GRACE_DAY          ,wk.INT_REPAY,wk.INT_TOTAL,wk.REPAY_DAY,wk.ENCASH_AMT,wk.OVD_INT_BAL          ,wk.PRIN_REPAY,wk.PRIN_TOTAL,wk.OVD_PRIN_BAL,wk.PNLT_INT_BAL,wk.TOTAL_TERMS          ,wk.FUND_FEE_REPAY,wk.FUND_FEE_TOTAL,wk.PNLT_INT_REPAY,wk.PNLT_INT_TOTAL,wk.LN_USE          ,wk.ORG_NO,wk.DATA_ID,wk.FUND_NO,wk.LOAN_ID,wk.PROJ_NO          ,wk.TX_DATE,wk.APPLY_ID,wk.CUR_DATE,wk.DATA_STS,wk.END_DATE          ,wk.TRACE_NO,wk.CURRENCY,wk.LOAN_FORM,wk.RATE_TYPE,wk.APPLY_DATE          ,wk.CLEAR_DATE,wk.REPAY_MODE,wk.START_DATE,wk.LOAN_STATUS,wk.PAYOUT_DATE          ,wk.REPAY_CYCLE,wk.ACCOUNT_STATE,#{syncDate,jdbcType=DATE} as ABS_SYNC_DATE,wk.PRODUCT_ID,wk.PRODUCT_NAME         ,wk.CHANGE_DATE,wk.TRUST_INT_AMT_ACC,wk.TRUST_PNLT_INT_AMT_ACC,wk.TRUST_BRT_AMT_ACC,wk.SERVICE_FEE_AMT,wk.REPAY_VIOLATE_TOTAL,wk.REPAY_VIOLATE_REPAY,wk.TRUST_REPAY_VIOLATE_AMT_ACC";
        public static final String  Base_Column_List = "INT_BAL,CUR_TERM,INT_RATE,PRIN_BAL,GRACE_DAY          ,INT_REPAY,INT_TOTAL,REPAY_DAY,ENCASH_AMT,OVD_INT_BAL          ,PRIN_REPAY,PRIN_TOTAL,OVD_PRIN_BAL,PNLT_INT_BAL,TOTAL_TERMS          ,FUND_FEE_REPAY,FUND_FEE_TOTAL,PNLT_INT_REPAY,PNLT_INT_TOTAL,LN_USE          ,ORG_NO,DATA_ID,FUND_NO,LOAN_ID,PROJ_NO          ,TX_DATE,APPLY_ID,CUR_DATE,DATA_STS,END_DATE          ,TRACE_NO,CURRENCY,LOAN_FORM,RATE_TYPE,APPLY_DATE          ,CLEAR_DATE,REPAY_MODE,START_DATE,LOAN_STATUS,PAYOUT_DATE          ,REPAY_CYCLE,ACCOUNT_STATE,ABS_SYNC_DATE,PRODUCT_ID,PRODUCT_NAME         ,CHANGE_DATE,TRUST_INT_AMT_ACC,TRUST_PNLT_INT_AMT_ACC,TRUST_BRT_AMT_ACC,SERVICE_FEE_AMT,REPAY_VIOLATE_TOTAL,REPAY_VIOLATE_REPAY,TRUST_REPAY_VIOLATE_AMT_ACC";
    }
    public static class WK_MFS_REPAY_INFO{
        public static final String tableName="WK_MFS_REPAY_INFO";
        public static final String  Base_WK_Column_List = "wk.TERM_NO,wk.DZ_STS,wk.EVENT,wk.ORG_NO,wk.SEQ_NO          ,wk.DATA_ID,wk.FUND_NO,wk.LOAN_ID,wk.PROJNO,wk.TX_DATE          ,wk.CUR_DATE,wk.DATA_STS,wk.DEDU_WAY,wk.SUMMARY,wk.TRAN_DATE          ,wk.TRAN_TIME,wk.DBBANKNAME,wk.DBACCOUNTNAME,wk.DBBANKACCOUNT,wk.PARTNER_LOAN_ID          ,wk.BRE_CUT,wk.INT_AMT,wk.INTE_CUT,wk.PRIN_AMT         ,wk.EXP_FINTE,wk.TOTAL_AMT,wk.FREE_FINTE,wk.INCOME_AMT,wk.CHARGES_AMT          ,wk.FUND_FEE_AMT,wk.OVERDUE_AMT,wk.PNLT_INT_AMT,wk.SERVICE_AMT,wk.INT_REDUCED_AMT          ,wk.PNLT_REDUCED_AMT,wk.REPAY_VIOLATE_AMT,wk.REFUND_VIOLATE_AMT,wk.CHARGES_REDUCED_AMT,wk.FUND_FEE_REDUCED_AMT          ,wk.OVERDUE_REDUCED_AMT,wk.SERVICE_REDUCED_AMT,wk.REPAY_VIOLATE_REDUCED_AMT,wk.REFUND_VIOLATE_REDUCED_AMT,#{syncDate,jdbcType=DATE} as ABS_SYNC_DATE         ,wk.PRODUCT_ID,wk.PRODUCT_NAME         ,wk.CHANGE_DATE ,wk.TRUST_INT_AMT_ACC ,wk.TRUST_PNLT_INT_AMT_ACC ,wk.TRUST_BRT_AMT_ACC ,wk.SERVICE_FEE_AMT         ,wk.TRUST_REPAY_VIOLATE_AMT_ACC";
        public static final String  Base_Column_List = "TERM_NO,DZ_STS,EVENT,ORG_NO,SEQ_NO          ,DATA_ID,FUND_NO,LOAN_ID,PROJNO,TX_DATE          ,CUR_DATE,DATA_STS,DEDU_WAY,SUMMARY,TRAN_DATE          ,TRAN_TIME,DBBANKNAME,DBACCOUNTNAME,DBBANKACCOUNT,PARTNER_LOAN_ID          ,BRE_CUT,INT_AMT,INTE_CUT,PRIN_AMT         ,EXP_FINTE,TOTAL_AMT,FREE_FINTE,INCOME_AMT,CHARGES_AMT          ,FUND_FEE_AMT,OVERDUE_AMT,PNLT_INT_AMT,SERVICE_AMT,INT_REDUCED_AMT          ,PNLT_REDUCED_AMT,REPAY_VIOLATE_AMT,REFUND_VIOLATE_AMT,CHARGES_REDUCED_AMT,FUND_FEE_REDUCED_AMT          ,OVERDUE_REDUCED_AMT,SERVICE_REDUCED_AMT,REPAY_VIOLATE_REDUCED_AMT,REFUND_VIOLATE_REDUCED_AMT,ABS_SYNC_DATE,PRODUCT_ID,PRODUCT_NAME         ,CHANGE_DATE ,TRUST_INT_AMT_ACC ,TRUST_PNLT_INT_AMT_ACC ,TRUST_BRT_AMT_ACC ,SERVICE_FEE_AMT         ,TRUST_REPAY_VIOLATE_AMT_ACC";
    }
    public static class WK_DHCC_BATCH{
        public static final String tableName="WK_DHCC_BATCH";
    }
    public static class WK_MFS_OPEN_REPAY{
        public static final String tableName="WK_MFS_OPEN_REPAY";
        public static final String  Base_WK_Column_List = "wk.GRACE_DAY,wk.TOTAL_TERMS,wk.ORG_NO,wk.SEQ_NO,wk.CERT_NO          ,wk.DATA_ID,wk.LEADER,wk.LOAN_ID,wk.PARTER,wk.PROJ_NO          ,wk.TX_DATE,wk.CUR_DATE,wk.DATA_STS,wk.END_DATE,wk.BORW_TYPE          ,wk.CERT_TYPE,wk.CURRENCY,wk.CUST_NAME,wk.FAIL_TYPE,wk.LOAN_TYPE          ,wk.RATE_TYPE,wk.APPLY_DATE,wk.DEDUC_DATA,wk.DEDUC_TYPE,wk.PRODUCT_ID          ,wk.REPAY_MODE,wk.START_DATE,wk.DEDUC_CLASS,wk.FUND_STATUS,wk.REPAY_CYCLE          ,wk.ACCOUNT_DESC,wk.PRODUCT_NAME,wk.ACCOUNT_STATE,wk.OPEN_BANK_NAME,wk.OPEN_ACCOUNTNAME          ,wk.OPEN_BANKACCOUNT,wk.INT_RATE,wk.CHARGE_AMT,wk.ENCASH_AMT         ,wk.CHARGE_RATE,#{syncDate,jdbcType=DATE} as ABS_SYNC_DATE,wk.CHANGE_DATE";
        public static final String  Base_Column_List = "GRACE_DAY,TOTAL_TERMS,ORG_NO,SEQ_NO,CERT_NO         ,DATA_ID,LEADER,LOAN_ID,PARTER,PROJ_NO         ,TX_DATE,CUR_DATE,DATA_STS,END_DATE,BORW_TYPE         ,CERT_TYPE,CURRENCY,CUST_NAME,FAIL_TYPE,LOAN_TYPE         ,RATE_TYPE,APPLY_DATE,DEDUC_DATA,DEDUC_TYPE,PRODUCT_ID         ,REPAY_MODE,START_DATE,DEDUC_CLASS,FUND_STATUS,REPAY_CYCLE         ,ACCOUNT_DESC,PRODUCT_NAME,ACCOUNT_STATE,OPEN_BANK_NAME,OPEN_ACCOUNTNAME         ,OPEN_BANKACCOUNT,INT_RATE,CHARGE_AMT,ENCASH_AMT         ,CHARGE_RATE,ABS_SYNC_DATE,CHANGE_DATE";
    }
    public static class WK_DATA_CHECK{
        public static final String tableName="WK_DATA_CHECK";
    }
    public static class WK_ABS_MFS_BILL_CTR_IGNORE{
        public static final String tableName="WK_ABS_MFS_BILL_CTR_IGNORE";
        public static final String  Base_SF_Column_List = "sf.MEMO,sf.LOAN_ID,sf.ERR_END_DATE,sf.ERR_START_DATE";
        public static final String  Base_Column_List = "MEMO,LOAN_ID,ERR_END_DATE,ERR_START_DATE";
    }
    public static class WK_ABS_MFS_BILL_CTR{
        public static final String tableName="WK_ABS_MFS_BILL_CTR";
        public static final String  Base_SF_Column_List = "sf.ID,sf.ORG_NO,sf.LOAN_ID,sf.ABS_STATUS,sf.LOAN_STATUS,         sf.ABS_SYNC_DATE ,sf.EXEC_TIMES,sf.LAST_EXEC_TIME,sf.NEXT_EXEC_TIME,         sf.LAST_HOST,sf.PRODUCT_ID";
        public static final String  Base_SYNC_Column_List = "ID,LOAN_ID,LOAN_STATUS,ORG_NO,ABS_SYNC_DATE,         ABS_STATUS,PRODUCT_ID,PRODUCT_NAME,NEXT_EXEC_TIME";
        public static final String  Base_Column_List = "ID,ORG_NO,LOAN_ID,ABS_STATUS,LOAN_STATUS,         ABS_SYNC_DATE ,EXEC_TIMES,LAST_EXEC_TIME,NEXT_EXEC_TIME,         LAST_HOST,PRODUCT_ID";
    }
    public static class WK_MFS_REPAY_PLAN{
        public static final String tableName="WK_MFS_REPAY_PLAN";
        public static final String  Base_WK_Column_List = "wk.TERM_NO,wk.ORG_NO,wk.DATA_ID,wk.FUND_NO,wk.LOAN_ID          ,wk.PROJ_NO,wk.TX_DATE,wk.CUR_DATE,wk.DATA_STS,wk.END_DATE          ,wk.CLEAR_DATE,wk.START_DATE,wk.TERM_STATUS,wk.ACCOUNT_STATE         ,wk.INT_BAL,wk.REM_PRIN,wk.EXP_COUNT,wk.INT_REPAY,wk.INT_TOTAL          ,wk.PRIN_REPAY,wk.PRIN_TOTAL,wk.CHARGES_REPAY,wk.CHARGES_TOTAL,wk.FUND_FEE_REPAY          ,wk.FUND_FEE_TOTAL,wk.OVERDUE_REPAY,wk.OVERDUE_TOTAL,wk.PNLT_INT_REPAY,wk.PNLT_INT_TOTAL          ,wk.SERVICE_REPAY,wk.SERVICE_TOTAL,wk.INT_REDUCED_AMT,wk.PNLT_REDUCED_AMT,wk.FUND_FEE_REDUCED_AMT          ,wk.REPAY_VIOLATE_REPAY,wk.REPAY_VIOLATE_TOTAL,wk.REFUND_VIOLATE_REPAY,wk.REFUND_VIOLATE_TOTAL,#{syncDate,jdbcType=DATE} as ABS_SYNC_DATE         ,wk.CHANGE_DATE ,wk.TRUST_INT_AMT_ACC ,wk.TRUST_PNLT_INT_AMT_ACC ,wk.TRUST_BRT_AMT_ACC ,wk.SERVICE_FEE_AMT         ,TRUST_REPAY_VIOLATE_AMT_ACC";
        public static final String  Base_Column_List = "TERM_NO,ORG_NO,DATA_ID,FUND_NO,LOAN_ID          ,PROJ_NO,TX_DATE,CUR_DATE,DATA_STS,END_DATE          ,CLEAR_DATE,START_DATE,TERM_STATUS,ACCOUNT_STATE         ,INT_BAL,REM_PRIN,EXP_COUNT,INT_REPAY,INT_TOTAL          ,PRIN_REPAY,PRIN_TOTAL,CHARGES_REPAY,CHARGES_TOTAL,FUND_FEE_REPAY          ,FUND_FEE_TOTAL,OVERDUE_REPAY,OVERDUE_TOTAL,PNLT_INT_REPAY,PNLT_INT_TOTAL          ,SERVICE_REPAY,SERVICE_TOTAL,INT_REDUCED_AMT,PNLT_REDUCED_AMT,FUND_FEE_REDUCED_AMT          ,REPAY_VIOLATE_REPAY,REPAY_VIOLATE_TOTAL,REFUND_VIOLATE_REPAY,REFUND_VIOLATE_TOTAL,ABS_SYNC_DATE         ,CHANGE_DATE ,TRUST_INT_AMT_ACC ,TRUST_PNLT_INT_AMT_ACC ,TRUST_BRT_AMT_ACC ,SERVICE_FEE_AMT         ,TRUST_REPAY_VIOLATE_AMT_ACC";
    }
    public static class WK_MFS_LN_PACT{
        public static final String tableName="WK_MFS_LN_PACT";
        public static final String  Base_WK_Column_List = "wk.PAY_DAY,wk.TERM_DAY,wk.TERM_MON,wk.GRACE_DAY,wk.BR_NO          ,wk.APP_ID,wk.CIF_NO,wk.CUR_NO,wk.LN_USE,wk.REP_DT          ,wk.DATA_ID,wk.FUND_NO,wk.LN_TYPE,wk.PACT_ID,wk.PACT_NO          ,wk.PAY_CHN,wk.PROJ_NO,wk.TX_DATE,wk.UP_TIME,wk.APP_AREA          ,wk.BEG_DATE,wk.CIF_NAME,wk.DATA_STS,wk.END_DATE,wk.PACT_STS          ,wk.PAY_KIND,wk.PAY_MENT,wk.PAY_TYPE,wk.VOU_TYPE,wk.BR_ACC_TYPE          ,wk.REPAY_TYPE,wk.FACT_PACT_NO,wk.LN_RATE,wk.PUT_AMT         ,wk.PACT_AMT,wk.OVER_RATE,#{syncDate,jdbcType=DATE} as ABS_SYNC_DATE,wk.PRODUCT_ID,wk.PRODUCT_NAME,wk.CUR_DATE";
        public static final String  Base_Column_List = "PAY_DAY,TERM_DAY,TERM_MON,GRACE_DAY,BR_NO          ,APP_ID,CIF_NO,CUR_NO,LN_USE,REP_DT          ,DATA_ID,FUND_NO,LN_TYPE,PACT_ID,PACT_NO          ,PAY_CHN,PROJ_NO,TX_DATE,UP_TIME,APP_AREA          ,BEG_DATE,CIF_NAME,DATA_STS,END_DATE,PACT_STS          ,PAY_KIND,PAY_MENT,PAY_TYPE,VOU_TYPE,BR_ACC_TYPE          ,REPAY_TYPE,FACT_PACT_NO,LN_RATE,PUT_AMT         ,PACT_AMT,OVER_RATE,ABS_SYNC_DATE,PRODUCT_ID,PRODUCT_NAME,CUR_DATE";
    }
}