package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 账户
 */
public class AccountDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * memo 备注.
     */
    private String memo;
    /**
     * actNo 帐号.
     */
    private String actNo;
    /**
     * actAttr 账户属性    收款账户("RECEVICE", "收款账户"),  付款账户("PAYMENT", "付款账户"),  收入账户("INCOME", "收入账户"),  一般业务户("NORMAL", "一般业务户"),  .
     */
    private String actAttr;
    /**
     * actBank 开户行.
     */
    private String actBank;
    /**
     * actCity 市.
     */
    private String actCity;
    /**
     * actName 账户名.
     */
    private String actName;
    /**
     * actProv 省.
     */
    private String actProv;
    /**
     * actType 账户类型  银行("BANK", "银行"),  三方("THD", "三方"),  .
     */
    private String actType;
    /**
     * channelNo 五矿渠道.
     */
    private String channelNo;
    /**
     * entityCode 机构实体.
     */
    private String entityCode;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set actNo 帐号.
     */
    public void setActNo(String actNo){
        this.actNo = actNo;
    }

    /**
     * Get actNo 帐号.
     *
     * @return the string
     */
    public String getActNo(){
        return actNo;
    }

    /**
     * Set actAttr 账户属性    收款账户("RECEVICE", "收款账户"),  付款账户("PAYMENT", "付款账户"),  收入账户("INCOME", "收入账户"),  一般业务户("NORMAL", "一般业务户"),  .
     */
    public void setActAttr(String actAttr){
        this.actAttr = actAttr;
    }

    /**
     * Get actAttr 账户属性    收款账户("RECEVICE", "收款账户"),  付款账户("PAYMENT", "付款账户"),  收入账户("INCOME", "收入账户"),  一般业务户("NORMAL", "一般业务户"),  .
     *
     * @return the string
     */
    public String getActAttr(){
        return actAttr;
    }

    /**
     * Set actBank 开户行.
     */
    public void setActBank(String actBank){
        this.actBank = actBank;
    }

    /**
     * Get actBank 开户行.
     *
     * @return the string
     */
    public String getActBank(){
        return actBank;
    }

    /**
     * Set actCity 市.
     */
    public void setActCity(String actCity){
        this.actCity = actCity;
    }

    /**
     * Get actCity 市.
     *
     * @return the string
     */
    public String getActCity(){
        return actCity;
    }

    /**
     * Set actName 账户名.
     */
    public void setActName(String actName){
        this.actName = actName;
    }

    /**
     * Get actName 账户名.
     *
     * @return the string
     */
    public String getActName(){
        return actName;
    }

    /**
     * Set actProv 省.
     */
    public void setActProv(String actProv){
        this.actProv = actProv;
    }

    /**
     * Get actProv 省.
     *
     * @return the string
     */
    public String getActProv(){
        return actProv;
    }

    /**
     * Set actType 账户类型  银行("BANK", "银行"),  三方("THD", "三方"),  .
     */
    public void setActType(String actType){
        this.actType = actType;
    }

    /**
     * Get actType 账户类型  银行("BANK", "银行"),  三方("THD", "三方"),  .
     *
     * @return the string
     */
    public String getActType(){
        return actType;
    }

    /**
     * Set channelNo 五矿渠道.
     */
    public void setChannelNo(String channelNo){
        this.channelNo = channelNo;
    }

    /**
     * Get channelNo 五矿渠道.
     *
     * @return the string
     */
    public String getChannelNo(){
        return channelNo;
    }

    /**
     * Set entityCode 机构实体.
     */
    public void setEntityCode(String entityCode){
        this.entityCode = entityCode;
    }

    /**
     * Get entityCode 机构实体.
     *
     * @return the string
     */
    public String getEntityCode(){
        return entityCode;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
