package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import com.general.system.common.model.Money;
import java.math.BigDecimal;


/**
 * The table PropDisbStat
 */
public class PropDisbStat  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * minContAmt 最小合同金额.
     */
    private Money minContAmt;
    /**
     * maxContAmt 最大合同金额.
     */
    private Money maxContAmt;
    /**
     * avgContAmt 平均合同金额.
     */
    private Money avgContAmt;
    /**
     * minBal 最小余额.
     */
    private Money minBal;
    /**
     * maxBal 最大余额.
     */
    private Money maxBal;
    /**
     * avgBal 平均余额.
     */
    private Money avgBal;
    /**
     * minRate 最小合同利率.
     */
    private BigDecimal minRate;
    /**
     * maxRate 最大合同利率.
     */
    private BigDecimal maxRate;
    /**
     * avgRate 平均利率.
     */
    private BigDecimal avgRate;
    /**
     * wavgRate 平均利率.
     */
    private BigDecimal wavgRate;
    /**
     * minContPeriod 最小合同期限.
     */
    private Long minContPeriod;
    /**
     * maxContPeriod 最大合同期限.
     */
    private Long maxContPeriod;
    /**
     * avgContPeriod 平均期限.
     */
    private BigDecimal avgContPeriod;
    /**
     * wavgContPeriod 平均期限.
     */
    private BigDecimal wavgContPeriod;
    /**
     * minRemPeriod 最小剩余期限.
     */
    private Long minRemPeriod;
    /**
     * maxRemPeriod 最大剩余期限.
     */
    private Long maxRemPeriod;
    /**
     * avgRemPeriod 平均期限.
     */
    private BigDecimal avgRemPeriod;
    /**
     * wavgRemPeriod 平均期限.
     */
    private BigDecimal wavgRemPeriod;
    /**
     * minAcctPeriod 最小账龄.
     */
    private Long minAcctPeriod;
    /**
     * maxAcctPeriod 最大账龄.
     */
    private Long maxAcctPeriod;
    /**
     * avgAcctPeriod 平均账龄.
     */
    private BigDecimal avgAcctPeriod;
    /**
     * wavgAcctPeriod 平均账龄.
     */
    private BigDecimal wavgAcctPeriod;




    /**
     * Set minContAmt 最小合同金额.
     */
    public void setMinContAmt(Money minContAmt){
        this.minContAmt = minContAmt;
    }

    /**
     * Get minContAmt 最小合同金额.
     *
     * @return the string
     */
    public Money getMinContAmt(){
        return minContAmt;
    }

    /**
     * Set maxContAmt 最大合同金额.
     */
    public void setMaxContAmt(Money maxContAmt){
        this.maxContAmt = maxContAmt;
    }

    /**
     * Get maxContAmt 最大合同金额.
     *
     * @return the string
     */
    public Money getMaxContAmt(){
        return maxContAmt;
    }

    /**
     * Set avgContAmt 平均合同金额.
     */
    public void setAvgContAmt(Money avgContAmt){
        this.avgContAmt = avgContAmt;
    }

    /**
     * Get avgContAmt 平均合同金额.
     *
     * @return the string
     */
    public Money getAvgContAmt(){
        return avgContAmt;
    }

    /**
     * Set minBal 最小余额.
     */
    public void setMinBal(Money minBal){
        this.minBal = minBal;
    }

    /**
     * Get minBal 最小余额.
     *
     * @return the string
     */
    public Money getMinBal(){
        return minBal;
    }

    /**
     * Set maxBal 最大余额.
     */
    public void setMaxBal(Money maxBal){
        this.maxBal = maxBal;
    }

    /**
     * Get maxBal 最大余额.
     *
     * @return the string
     */
    public Money getMaxBal(){
        return maxBal;
    }

    /**
     * Set avgBal 平均余额.
     */
    public void setAvgBal(Money avgBal){
        this.avgBal = avgBal;
    }

    /**
     * Get avgBal 平均余额.
     *
     * @return the string
     */
    public Money getAvgBal(){
        return avgBal;
    }

    /**
     * Set minRate 最小合同利率.
     */
    public void setMinRate(BigDecimal minRate){
        this.minRate = minRate;
    }

    /**
     * Get minRate 最小合同利率.
     *
     * @return the string
     */
    public BigDecimal getMinRate(){
        return minRate;
    }

    /**
     * Set maxRate 最大合同利率.
     */
    public void setMaxRate(BigDecimal maxRate){
        this.maxRate = maxRate;
    }

    /**
     * Get maxRate 最大合同利率.
     *
     * @return the string
     */
    public BigDecimal getMaxRate(){
        return maxRate;
    }

    /**
     * Set avgRate 平均利率.
     */
    public void setAvgRate(BigDecimal avgRate){
        this.avgRate = avgRate;
    }

    /**
     * Get avgRate 平均利率.
     *
     * @return the string
     */
    public BigDecimal getAvgRate(){
        return avgRate;
    }

    /**
     * Set wavgRate 平均利率.
     */
    public void setWavgRate(BigDecimal wavgRate){
        this.wavgRate = wavgRate;
    }

    /**
     * Get wavgRate 平均利率.
     *
     * @return the string
     */
    public BigDecimal getWavgRate(){
        return wavgRate;
    }

    /**
     * Set minContPeriod 最小合同期限.
     */
    public void setMinContPeriod(Long minContPeriod){
        this.minContPeriod = minContPeriod;
    }

    /**
     * Get minContPeriod 最小合同期限.
     *
     * @return the string
     */
    public Long getMinContPeriod(){
        return minContPeriod;
    }

    /**
     * Set maxContPeriod 最大合同期限.
     */
    public void setMaxContPeriod(Long maxContPeriod){
        this.maxContPeriod = maxContPeriod;
    }

    /**
     * Get maxContPeriod 最大合同期限.
     *
     * @return the string
     */
    public Long getMaxContPeriod(){
        return maxContPeriod;
    }

    /**
     * Set avgContPeriod 平均期限.
     */
    public void setAvgContPeriod(BigDecimal avgContPeriod){
        this.avgContPeriod = avgContPeriod;
    }

    /**
     * Get avgContPeriod 平均期限.
     *
     * @return the string
     */
    public BigDecimal getAvgContPeriod(){
        return avgContPeriod;
    }

    /**
     * Set wavgContPeriod 平均期限.
     */
    public void setWavgContPeriod(BigDecimal wavgContPeriod){
        this.wavgContPeriod = wavgContPeriod;
    }

    /**
     * Get wavgContPeriod 平均期限.
     *
     * @return the string
     */
    public BigDecimal getWavgContPeriod(){
        return wavgContPeriod;
    }

    /**
     * Set minRemPeriod 最小剩余期限.
     */
    public void setMinRemPeriod(Long minRemPeriod){
        this.minRemPeriod = minRemPeriod;
    }

    /**
     * Get minRemPeriod 最小剩余期限.
     *
     * @return the string
     */
    public Long getMinRemPeriod(){
        return minRemPeriod;
    }

    /**
     * Set maxRemPeriod 最大剩余期限.
     */
    public void setMaxRemPeriod(Long maxRemPeriod){
        this.maxRemPeriod = maxRemPeriod;
    }

    /**
     * Get maxRemPeriod 最大剩余期限.
     *
     * @return the string
     */
    public Long getMaxRemPeriod(){
        return maxRemPeriod;
    }

    /**
     * Set avgRemPeriod 平均期限.
     */
    public void setAvgRemPeriod(BigDecimal avgRemPeriod){
        this.avgRemPeriod = avgRemPeriod;
    }

    /**
     * Get avgRemPeriod 平均期限.
     *
     * @return the string
     */
    public BigDecimal getAvgRemPeriod(){
        return avgRemPeriod;
    }

    /**
     * Set wavgRemPeriod 平均期限.
     */
    public void setWavgRemPeriod(BigDecimal wavgRemPeriod){
        this.wavgRemPeriod = wavgRemPeriod;
    }

    /**
     * Get wavgRemPeriod 平均期限.
     *
     * @return the string
     */
    public BigDecimal getWavgRemPeriod(){
        return wavgRemPeriod;
    }

    /**
     * Set minAcctPeriod 最小账龄.
     */
    public void setMinAcctPeriod(Long minAcctPeriod){
        this.minAcctPeriod = minAcctPeriod;
    }

    /**
     * Get minAcctPeriod 最小账龄.
     *
     * @return the string
     */
    public Long getMinAcctPeriod(){
        return minAcctPeriod;
    }

    /**
     * Set maxAcctPeriod 最大账龄.
     */
    public void setMaxAcctPeriod(Long maxAcctPeriod){
        this.maxAcctPeriod = maxAcctPeriod;
    }

    /**
     * Get maxAcctPeriod 最大账龄.
     *
     * @return the string
     */
    public Long getMaxAcctPeriod(){
        return maxAcctPeriod;
    }

    /**
     * Set avgAcctPeriod 平均账龄.
     */
    public void setAvgAcctPeriod(BigDecimal avgAcctPeriod){
        this.avgAcctPeriod = avgAcctPeriod;
    }

    /**
     * Get avgAcctPeriod 平均账龄.
     *
     * @return the string
     */
    public BigDecimal getAvgAcctPeriod(){
        return avgAcctPeriod;
    }

    /**
     * Set wavgAcctPeriod 平均账龄.
     */
    public void setWavgAcctPeriod(BigDecimal wavgAcctPeriod){
        this.wavgAcctPeriod = wavgAcctPeriod;
    }

    /**
     * Get wavgAcctPeriod 平均账龄.
     *
     * @return the string
     */
    public BigDecimal getWavgAcctPeriod(){
        return wavgAcctPeriod;
    }



}
