package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.resultmap.WKDataForCheck;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkDataCheckDOMapper;

/**
* The Table WK_DATA_CHECK.
* 账户
*/
@Repository
public class WkDataCheckDAO{

    @Autowired
    private WkDataCheckDOMapper wkDataCheckDOMapper;

    /**
     * desc:getDataForCheck.<br/>
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param planNos planNos
     * @return List<WKDataForCheck>
     */
    
    public List<WKDataForCheck> getDataForCheck(String orgNo,String dbLink,String curDate,String wkxwDbName,String wkxwSynonymPre,List<String> planNos){
    if(planNos!=null && planNos.size()>201){throw new RuntimeException("planNos 超出201长度限制");}
        return wkDataCheckDOMapper.getDataForCheck(orgNo, dbLink, curDate, wkxwDbName, wkxwSynonymPre, planNos);
    }
}
