package com.abssqr.plat.common.dal.sync.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 还款明细
 */
public class WkMfsRepayInfoDO{

    /**
     * dzSts 对账标志[00未对账01对账成功02对账失败].
     */
    private String dzSts;
    /**
     * event 交易事件.
     */
    private String event;
    /**
     * orgNo 机构码.
     */
    private String orgNo;
    /**
     * seqNo 交易流水号.
     */
    private String seqNo;
    /**
     * dataId 主键.
     */
    private String dataId;
    /**
     * fundNo 资金编号.
     */
    private String fundNo;
    /**
     * loanId 借据号.
     */
    private String loanId;
    /**
     * projno 项目编号.
     */
    private String projno;
    /**
     * txDate 入库日期.
     */
    private String txDate;
    /**
     * curDate 账务日期.
     */
    private String curDate;
    /**
     * dataSts 数据标志（01-新增 02-历史）.
     */
    private String dataSts;
    /**
     * deduWay 扣款方式.
     */
    private String deduWay;
    /**
     * summary 对账描述.
     */
    private String summary;
    /**
     * tranDate 交易日期.
     */
    private String tranDate;
    /**
     * tranTime 交易时间.
     */
    private String tranTime;
    /**
     * productId 产品编号.
     */
    private String productId;
    /**
     * changeDate 变更时间.
     */
    private String changeDate;
    /**
     * dbbankname 扣款银行名.
     */
    private String dbbankname;
    /**
     * productName 产品名称.
     */
    private String productName;
    /**
     * dbaccountname 扣款账户名.
     */
    private String dbaccountname;
    /**
     * dbbankaccount 扣款账户号.
     */
    private String dbbankaccount;
    /**
     * partnerLoanId 机构贷款标识号.
     */
    private String partnerLoanId;
    /**
     * termNo 期数.
     */
    private Integer termNo;
    /**
     * absSyncDate ABS数据日期.
     */
    private Date absSyncDate;
    /**
     * breCut 违约金减免.
     */
    private BigDecimal breCut;
    /**
     * intAmt 利息发生额.
     */
    private BigDecimal intAmt;
    /**
     * inteCut 利息减免.
     */
    private BigDecimal inteCut;
    /**
     * prinAmt 本金发生额.
     */
    private BigDecimal prinAmt;
    /**
     * expFinte 实扣罚息.
     */
    private BigDecimal expFinte;
    /**
     * totalAmt 交易金额.
     */
    private BigDecimal totalAmt;
    /**
     * freeFinte 罚息减免.
     */
    private BigDecimal freeFinte;
    /**
     * incomeAmt 实收金额.
     */
    private BigDecimal incomeAmt;
    /**
     * chargesAmt 分期手续费发生额.
     */
    private BigDecimal chargesAmt;
    /**
     * fundFeeAmt 借款服务费发生额.
     */
    private BigDecimal fundFeeAmt;
    /**
     * overdueAmt 逾期费发生额.
     */
    private BigDecimal overdueAmt;
    /**
     * pnltIntAmt 罚息发生额.
     */
    private BigDecimal pnltIntAmt;
    /**
     * serviceAmt 展期服务费发生额.
     */
    private BigDecimal serviceAmt;
    /**
     * intReducedAmt 折扣券抵扣利息金额.
     */
    private BigDecimal intReducedAmt;
    /**
     * serviceFeeAmt 机构方分润服务费.
     */
    private BigDecimal serviceFeeAmt;
    /**
     * pnltReducedAmt 折扣券抵扣罚息金额.
     */
    private BigDecimal pnltReducedAmt;
    /**
     * trustBrtAmtAcc 信托方分润违约金.
     */
    private BigDecimal trustBrtAmtAcc;
    /**
     * trustIntAmtAcc 信托方分润利息.
     */
    private BigDecimal trustIntAmtAcc;
    /**
     * repayViolateAmt 提前还款违约金发生额.
     */
    private BigDecimal repayViolateAmt;
    /**
     * refundViolateAmt 退款违约金发生额.
     */
    private BigDecimal refundViolateAmt;
    /**
     * chargesReducedAmt 折扣券抵扣分期手续费.
     */
    private BigDecimal chargesReducedAmt;
    /**
     * fundFeeReducedAmt 折扣券抵扣借款服务费金额.
     */
    private BigDecimal fundFeeReducedAmt;
    /**
     * overdueReducedAmt 折扣券抵扣逾期费.
     */
    private BigDecimal overdueReducedAmt;
    /**
     * serviceReducedAmt 折扣券抵扣展期服务费.
     */
    private BigDecimal serviceReducedAmt;
    /**
     * trustPnltIntAmtAcc 信托方分润罚息.
     */
    private BigDecimal trustPnltIntAmtAcc;
    /**
     * repayViolateReducedAmt 折扣券抵扣提前还款违约金.
     */
    private BigDecimal repayViolateReducedAmt;
    /**
     * refundViolateReducedAmt 折扣券抵扣退款违约金.
     */
    private BigDecimal refundViolateReducedAmt;
    /**
     * trustRepayViolateAmtAcc .
     */
    private BigDecimal trustRepayViolateAmtAcc;

    /**
     * Set dzSts 对账标志[00未对账01对账成功02对账失败].
     */
    public void setDzSts(String dzSts){
        this.dzSts = dzSts;
    }

    /**
     * Get dzSts 对账标志[00未对账01对账成功02对账失败].
     *
     * @return the string
     */
    public String getDzSts(){
        return dzSts;
    }

    /**
     * Set event 交易事件.
     */
    public void setEvent(String event){
        this.event = event;
    }

    /**
     * Get event 交易事件.
     *
     * @return the string
     */
    public String getEvent(){
        return event;
    }

    /**
     * Set orgNo 机构码.
     */
    public void setOrgNo(String orgNo){
        this.orgNo = orgNo;
    }

    /**
     * Get orgNo 机构码.
     *
     * @return the string
     */
    public String getOrgNo(){
        return orgNo;
    }

    /**
     * Set seqNo 交易流水号.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 交易流水号.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set dataId 主键.
     */
    public void setDataId(String dataId){
        this.dataId = dataId;
    }

    /**
     * Get dataId 主键.
     *
     * @return the string
     */
    public String getDataId(){
        return dataId;
    }

    /**
     * Set fundNo 资金编号.
     */
    public void setFundNo(String fundNo){
        this.fundNo = fundNo;
    }

    /**
     * Get fundNo 资金编号.
     *
     * @return the string
     */
    public String getFundNo(){
        return fundNo;
    }

    /**
     * Set loanId 借据号.
     */
    public void setLoanId(String loanId){
        this.loanId = loanId;
    }

    /**
     * Get loanId 借据号.
     *
     * @return the string
     */
    public String getLoanId(){
        return loanId;
    }

    /**
     * Set projno 项目编号.
     */
    public void setProjno(String projno){
        this.projno = projno;
    }

    /**
     * Get projno 项目编号.
     *
     * @return the string
     */
    public String getProjno(){
        return projno;
    }

    /**
     * Set txDate 入库日期.
     */
    public void setTxDate(String txDate){
        this.txDate = txDate;
    }

    /**
     * Get txDate 入库日期.
     *
     * @return the string
     */
    public String getTxDate(){
        return txDate;
    }

    /**
     * Set curDate 账务日期.
     */
    public void setCurDate(String curDate){
        this.curDate = curDate;
    }

    /**
     * Get curDate 账务日期.
     *
     * @return the string
     */
    public String getCurDate(){
        return curDate;
    }

    /**
     * Set dataSts 数据标志（01-新增 02-历史）.
     */
    public void setDataSts(String dataSts){
        this.dataSts = dataSts;
    }

    /**
     * Get dataSts 数据标志（01-新增 02-历史）.
     *
     * @return the string
     */
    public String getDataSts(){
        return dataSts;
    }

    /**
     * Set deduWay 扣款方式.
     */
    public void setDeduWay(String deduWay){
        this.deduWay = deduWay;
    }

    /**
     * Get deduWay 扣款方式.
     *
     * @return the string
     */
    public String getDeduWay(){
        return deduWay;
    }

    /**
     * Set summary 对账描述.
     */
    public void setSummary(String summary){
        this.summary = summary;
    }

    /**
     * Get summary 对账描述.
     *
     * @return the string
     */
    public String getSummary(){
        return summary;
    }

    /**
     * Set tranDate 交易日期.
     */
    public void setTranDate(String tranDate){
        this.tranDate = tranDate;
    }

    /**
     * Get tranDate 交易日期.
     *
     * @return the string
     */
    public String getTranDate(){
        return tranDate;
    }

    /**
     * Set tranTime 交易时间.
     */
    public void setTranTime(String tranTime){
        this.tranTime = tranTime;
    }

    /**
     * Get tranTime 交易时间.
     *
     * @return the string
     */
    public String getTranTime(){
        return tranTime;
    }

    /**
     * Set productId 产品编号.
     */
    public void setProductId(String productId){
        this.productId = productId;
    }

    /**
     * Get productId 产品编号.
     *
     * @return the string
     */
    public String getProductId(){
        return productId;
    }

    /**
     * Set changeDate 变更时间.
     */
    public void setChangeDate(String changeDate){
        this.changeDate = changeDate;
    }

    /**
     * Get changeDate 变更时间.
     *
     * @return the string
     */
    public String getChangeDate(){
        return changeDate;
    }

    /**
     * Set dbbankname 扣款银行名.
     */
    public void setDbbankname(String dbbankname){
        this.dbbankname = dbbankname;
    }

    /**
     * Get dbbankname 扣款银行名.
     *
     * @return the string
     */
    public String getDbbankname(){
        return dbbankname;
    }

    /**
     * Set productName 产品名称.
     */
    public void setProductName(String productName){
        this.productName = productName;
    }

    /**
     * Get productName 产品名称.
     *
     * @return the string
     */
    public String getProductName(){
        return productName;
    }

    /**
     * Set dbaccountname 扣款账户名.
     */
    public void setDbaccountname(String dbaccountname){
        this.dbaccountname = dbaccountname;
    }

    /**
     * Get dbaccountname 扣款账户名.
     *
     * @return the string
     */
    public String getDbaccountname(){
        return dbaccountname;
    }

    /**
     * Set dbbankaccount 扣款账户号.
     */
    public void setDbbankaccount(String dbbankaccount){
        this.dbbankaccount = dbbankaccount;
    }

    /**
     * Get dbbankaccount 扣款账户号.
     *
     * @return the string
     */
    public String getDbbankaccount(){
        return dbbankaccount;
    }

    /**
     * Set partnerLoanId 机构贷款标识号.
     */
    public void setPartnerLoanId(String partnerLoanId){
        this.partnerLoanId = partnerLoanId;
    }

    /**
     * Get partnerLoanId 机构贷款标识号.
     *
     * @return the string
     */
    public String getPartnerLoanId(){
        return partnerLoanId;
    }

    /**
     * Set termNo 期数.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期数.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set absSyncDate ABS数据日期.
     */
    public void setAbsSyncDate(Date absSyncDate){
        this.absSyncDate = absSyncDate;
    }

    /**
     * Get absSyncDate ABS数据日期.
     *
     * @return the string
     */
    public Date getAbsSyncDate(){
        return absSyncDate;
    }

    /**
     * Set breCut 违约金减免.
     */
    public void setBreCut(BigDecimal breCut){
        this.breCut = breCut;
    }

    /**
     * Get breCut 违约金减免.
     *
     * @return the string
     */
    public BigDecimal getBreCut(){
        return breCut;
    }

    /**
     * Set intAmt 利息发生额.
     */
    public void setIntAmt(BigDecimal intAmt){
        this.intAmt = intAmt;
    }

    /**
     * Get intAmt 利息发生额.
     *
     * @return the string
     */
    public BigDecimal getIntAmt(){
        return intAmt;
    }

    /**
     * Set inteCut 利息减免.
     */
    public void setInteCut(BigDecimal inteCut){
        this.inteCut = inteCut;
    }

    /**
     * Get inteCut 利息减免.
     *
     * @return the string
     */
    public BigDecimal getInteCut(){
        return inteCut;
    }

    /**
     * Set prinAmt 本金发生额.
     */
    public void setPrinAmt(BigDecimal prinAmt){
        this.prinAmt = prinAmt;
    }

    /**
     * Get prinAmt 本金发生额.
     *
     * @return the string
     */
    public BigDecimal getPrinAmt(){
        return prinAmt;
    }

    /**
     * Set expFinte 实扣罚息.
     */
    public void setExpFinte(BigDecimal expFinte){
        this.expFinte = expFinte;
    }

    /**
     * Get expFinte 实扣罚息.
     *
     * @return the string
     */
    public BigDecimal getExpFinte(){
        return expFinte;
    }

    /**
     * Set totalAmt 交易金额.
     */
    public void setTotalAmt(BigDecimal totalAmt){
        this.totalAmt = totalAmt;
    }

    /**
     * Get totalAmt 交易金额.
     *
     * @return the string
     */
    public BigDecimal getTotalAmt(){
        return totalAmt;
    }

    /**
     * Set freeFinte 罚息减免.
     */
    public void setFreeFinte(BigDecimal freeFinte){
        this.freeFinte = freeFinte;
    }

    /**
     * Get freeFinte 罚息减免.
     *
     * @return the string
     */
    public BigDecimal getFreeFinte(){
        return freeFinte;
    }

    /**
     * Set incomeAmt 实收金额.
     */
    public void setIncomeAmt(BigDecimal incomeAmt){
        this.incomeAmt = incomeAmt;
    }

    /**
     * Get incomeAmt 实收金额.
     *
     * @return the string
     */
    public BigDecimal getIncomeAmt(){
        return incomeAmt;
    }

    /**
     * Set chargesAmt 分期手续费发生额.
     */
    public void setChargesAmt(BigDecimal chargesAmt){
        this.chargesAmt = chargesAmt;
    }

    /**
     * Get chargesAmt 分期手续费发生额.
     *
     * @return the string
     */
    public BigDecimal getChargesAmt(){
        return chargesAmt;
    }

    /**
     * Set fundFeeAmt 借款服务费发生额.
     */
    public void setFundFeeAmt(BigDecimal fundFeeAmt){
        this.fundFeeAmt = fundFeeAmt;
    }

    /**
     * Get fundFeeAmt 借款服务费发生额.
     *
     * @return the string
     */
    public BigDecimal getFundFeeAmt(){
        return fundFeeAmt;
    }

    /**
     * Set overdueAmt 逾期费发生额.
     */
    public void setOverdueAmt(BigDecimal overdueAmt){
        this.overdueAmt = overdueAmt;
    }

    /**
     * Get overdueAmt 逾期费发生额.
     *
     * @return the string
     */
    public BigDecimal getOverdueAmt(){
        return overdueAmt;
    }

    /**
     * Set pnltIntAmt 罚息发生额.
     */
    public void setPnltIntAmt(BigDecimal pnltIntAmt){
        this.pnltIntAmt = pnltIntAmt;
    }

    /**
     * Get pnltIntAmt 罚息发生额.
     *
     * @return the string
     */
    public BigDecimal getPnltIntAmt(){
        return pnltIntAmt;
    }

    /**
     * Set serviceAmt 展期服务费发生额.
     */
    public void setServiceAmt(BigDecimal serviceAmt){
        this.serviceAmt = serviceAmt;
    }

    /**
     * Get serviceAmt 展期服务费发生额.
     *
     * @return the string
     */
    public BigDecimal getServiceAmt(){
        return serviceAmt;
    }

    /**
     * Set intReducedAmt 折扣券抵扣利息金额.
     */
    public void setIntReducedAmt(BigDecimal intReducedAmt){
        this.intReducedAmt = intReducedAmt;
    }

    /**
     * Get intReducedAmt 折扣券抵扣利息金额.
     *
     * @return the string
     */
    public BigDecimal getIntReducedAmt(){
        return intReducedAmt;
    }

    /**
     * Set serviceFeeAmt 机构方分润服务费.
     */
    public void setServiceFeeAmt(BigDecimal serviceFeeAmt){
        this.serviceFeeAmt = serviceFeeAmt;
    }

    /**
     * Get serviceFeeAmt 机构方分润服务费.
     *
     * @return the string
     */
    public BigDecimal getServiceFeeAmt(){
        return serviceFeeAmt;
    }

    /**
     * Set pnltReducedAmt 折扣券抵扣罚息金额.
     */
    public void setPnltReducedAmt(BigDecimal pnltReducedAmt){
        this.pnltReducedAmt = pnltReducedAmt;
    }

    /**
     * Get pnltReducedAmt 折扣券抵扣罚息金额.
     *
     * @return the string
     */
    public BigDecimal getPnltReducedAmt(){
        return pnltReducedAmt;
    }

    /**
     * Set trustBrtAmtAcc 信托方分润违约金.
     */
    public void setTrustBrtAmtAcc(BigDecimal trustBrtAmtAcc){
        this.trustBrtAmtAcc = trustBrtAmtAcc;
    }

    /**
     * Get trustBrtAmtAcc 信托方分润违约金.
     *
     * @return the string
     */
    public BigDecimal getTrustBrtAmtAcc(){
        return trustBrtAmtAcc;
    }

    /**
     * Set trustIntAmtAcc 信托方分润利息.
     */
    public void setTrustIntAmtAcc(BigDecimal trustIntAmtAcc){
        this.trustIntAmtAcc = trustIntAmtAcc;
    }

    /**
     * Get trustIntAmtAcc 信托方分润利息.
     *
     * @return the string
     */
    public BigDecimal getTrustIntAmtAcc(){
        return trustIntAmtAcc;
    }

    /**
     * Set repayViolateAmt 提前还款违约金发生额.
     */
    public void setRepayViolateAmt(BigDecimal repayViolateAmt){
        this.repayViolateAmt = repayViolateAmt;
    }

    /**
     * Get repayViolateAmt 提前还款违约金发生额.
     *
     * @return the string
     */
    public BigDecimal getRepayViolateAmt(){
        return repayViolateAmt;
    }

    /**
     * Set refundViolateAmt 退款违约金发生额.
     */
    public void setRefundViolateAmt(BigDecimal refundViolateAmt){
        this.refundViolateAmt = refundViolateAmt;
    }

    /**
     * Get refundViolateAmt 退款违约金发生额.
     *
     * @return the string
     */
    public BigDecimal getRefundViolateAmt(){
        return refundViolateAmt;
    }

    /**
     * Set chargesReducedAmt 折扣券抵扣分期手续费.
     */
    public void setChargesReducedAmt(BigDecimal chargesReducedAmt){
        this.chargesReducedAmt = chargesReducedAmt;
    }

    /**
     * Get chargesReducedAmt 折扣券抵扣分期手续费.
     *
     * @return the string
     */
    public BigDecimal getChargesReducedAmt(){
        return chargesReducedAmt;
    }

    /**
     * Set fundFeeReducedAmt 折扣券抵扣借款服务费金额.
     */
    public void setFundFeeReducedAmt(BigDecimal fundFeeReducedAmt){
        this.fundFeeReducedAmt = fundFeeReducedAmt;
    }

    /**
     * Get fundFeeReducedAmt 折扣券抵扣借款服务费金额.
     *
     * @return the string
     */
    public BigDecimal getFundFeeReducedAmt(){
        return fundFeeReducedAmt;
    }

    /**
     * Set overdueReducedAmt 折扣券抵扣逾期费.
     */
    public void setOverdueReducedAmt(BigDecimal overdueReducedAmt){
        this.overdueReducedAmt = overdueReducedAmt;
    }

    /**
     * Get overdueReducedAmt 折扣券抵扣逾期费.
     *
     * @return the string
     */
    public BigDecimal getOverdueReducedAmt(){
        return overdueReducedAmt;
    }

    /**
     * Set serviceReducedAmt 折扣券抵扣展期服务费.
     */
    public void setServiceReducedAmt(BigDecimal serviceReducedAmt){
        this.serviceReducedAmt = serviceReducedAmt;
    }

    /**
     * Get serviceReducedAmt 折扣券抵扣展期服务费.
     *
     * @return the string
     */
    public BigDecimal getServiceReducedAmt(){
        return serviceReducedAmt;
    }

    /**
     * Set trustPnltIntAmtAcc 信托方分润罚息.
     */
    public void setTrustPnltIntAmtAcc(BigDecimal trustPnltIntAmtAcc){
        this.trustPnltIntAmtAcc = trustPnltIntAmtAcc;
    }

    /**
     * Get trustPnltIntAmtAcc 信托方分润罚息.
     *
     * @return the string
     */
    public BigDecimal getTrustPnltIntAmtAcc(){
        return trustPnltIntAmtAcc;
    }

    /**
     * Set repayViolateReducedAmt 折扣券抵扣提前还款违约金.
     */
    public void setRepayViolateReducedAmt(BigDecimal repayViolateReducedAmt){
        this.repayViolateReducedAmt = repayViolateReducedAmt;
    }

    /**
     * Get repayViolateReducedAmt 折扣券抵扣提前还款违约金.
     *
     * @return the string
     */
    public BigDecimal getRepayViolateReducedAmt(){
        return repayViolateReducedAmt;
    }

    /**
     * Set refundViolateReducedAmt 折扣券抵扣退款违约金.
     */
    public void setRefundViolateReducedAmt(BigDecimal refundViolateReducedAmt){
        this.refundViolateReducedAmt = refundViolateReducedAmt;
    }

    /**
     * Get refundViolateReducedAmt 折扣券抵扣退款违约金.
     *
     * @return the string
     */
    public BigDecimal getRefundViolateReducedAmt(){
        return refundViolateReducedAmt;
    }

    /**
     * Set trustRepayViolateAmtAcc .
     */
    public void setTrustRepayViolateAmtAcc(BigDecimal trustRepayViolateAmtAcc){
        this.trustRepayViolateAmtAcc = trustRepayViolateAmtAcc;
    }

    /**
     * Get trustRepayViolateAmtAcc .
     *
     * @return the string
     */
    public BigDecimal getTrustRepayViolateAmtAcc(){
        return trustRepayViolateAmtAcc;
    }
}
