package com.abssqr.plat.common.dal.sync.auto.mapper;

import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.resultmap.WKDataForCheck;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table WK_DATA_CHECK.
 * 账户
 */
public interface WkDataCheckDOMapper{

    /**
     * desc:getDataForCheck.<br/>
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param planNos planNos
     * @return List<WKDataForCheck>
     */
    List<WKDataForCheck> getDataForCheck(@Param("orgNo")String orgNo,@Param("dbLink")String dbLink,@Param("curDate")String curDate,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymPre")String wkxwSynonymPre,@Param("planNos")List<String> planNos);
}
