package com.abssqr.plat.common.dal.sync.auto.mapper;

import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.resultmap.DhccBatch;
import java.util.Map;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table WK_DHCC_BATCH.
 * 五矿任务完成标记
 */
public interface WkDhccBatchDOMapper{

    /**
     * desc:获取数据准备状态.<br/>
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param brTypes brTypes
     * @return List<DhccBatch>
     */
    List<DhccBatch> selectDataReadyStatus(@Param("dbLink")String dbLink,@Param("curDate")String curDate,@Param("wkxwDbName")String wkxwDbName,@Param("brTypes")List<String> brTypes);
    /**
     * desc:获取数据准备状态.<br/>
     * @param brType brType
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @return DhccBatch
     */
    DhccBatch getDataReadyStatus(@Param("brType")String brType,@Param("dbLink")String dbLink,@Param("curDate")String curDate,@Param("wkxwDbName")String wkxwDbName);
}
