package com.abssqr.plat.common.dal.sync.auto.resultmap;

import java.io.Serializable;
import com.general.system.common.model.Money;


/**
 * The table WKDataForCheck
 */
public class WKDataForCheck  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * ownOrg 归属机构项目.
     */
    private String ownOrg;
    /**
     * orgCode 机构编码.
     */
    private String orgCode;
    /**
     * fkCnt 放款Or转让数量.
     */
    private Long fkCnt;
    /**
     * fkAmt 放款Or转让金额.
     */
    private Money fkAmt;
    /**
     * repayCnt 还款数量.
     */
    private Long repayCnt;
    /**
     * repayAmt 还款总额.
     */
    private Money repayAmt;
    /**
     * repayPrinAmt 还款本金.
     */
    private Money repayPrinAmt;
    /**
     * repayIntAmt 还款本金.
     */
    private Money repayIntAmt;
    /**
     * repayPnltIntAmt 还款罚息.
     */
    private Money repayPnltIntAmt;
    /**
     * repayTrustIntAmt 五矿实收利息.
     */
    private Money repayTrustIntAmt;
    /**
     * repayTrustPnltIntAmt 五矿实收罚息.
     */
    private Money repayTrustPnltIntAmt;
    /**
     * astCnt 剩余资产数量.
     */
    private Long astCnt;
    /**
     * astPrinBal 剩余资产本金.
     */
    private Money astPrinBal;
    /**
     * astIntBal 剩余资产利息.
     */
    private Money astIntBal;
    /**
     * astPnltIntBal 剩余资产罚息.
     */
    private Money astPnltIntBal;




    /**
     * Set ownOrg 归属机构项目.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 归属机构项目.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set orgCode 机构编码.
     */
    public void setOrgCode(String orgCode){
        this.orgCode = orgCode;
    }

    /**
     * Get orgCode 机构编码.
     *
     * @return the string
     */
    public String getOrgCode(){
        return orgCode;
    }

    /**
     * Set fkCnt 放款Or转让数量.
     */
    public void setFkCnt(Long fkCnt){
        this.fkCnt = fkCnt;
    }

    /**
     * Get fkCnt 放款Or转让数量.
     *
     * @return the string
     */
    public Long getFkCnt(){
        return fkCnt;
    }

    /**
     * Set fkAmt 放款Or转让金额.
     */
    public void setFkAmt(Money fkAmt){
        this.fkAmt = fkAmt;
    }

    /**
     * Get fkAmt 放款Or转让金额.
     *
     * @return the string
     */
    public Money getFkAmt(){
        return fkAmt;
    }

    /**
     * Set repayCnt 还款数量.
     */
    public void setRepayCnt(Long repayCnt){
        this.repayCnt = repayCnt;
    }

    /**
     * Get repayCnt 还款数量.
     *
     * @return the string
     */
    public Long getRepayCnt(){
        return repayCnt;
    }

    /**
     * Set repayAmt 还款总额.
     */
    public void setRepayAmt(Money repayAmt){
        this.repayAmt = repayAmt;
    }

    /**
     * Get repayAmt 还款总额.
     *
     * @return the string
     */
    public Money getRepayAmt(){
        return repayAmt;
    }

    /**
     * Set repayPrinAmt 还款本金.
     */
    public void setRepayPrinAmt(Money repayPrinAmt){
        this.repayPrinAmt = repayPrinAmt;
    }

    /**
     * Get repayPrinAmt 还款本金.
     *
     * @return the string
     */
    public Money getRepayPrinAmt(){
        return repayPrinAmt;
    }

    /**
     * Set repayIntAmt 还款本金.
     */
    public void setRepayIntAmt(Money repayIntAmt){
        this.repayIntAmt = repayIntAmt;
    }

    /**
     * Get repayIntAmt 还款本金.
     *
     * @return the string
     */
    public Money getRepayIntAmt(){
        return repayIntAmt;
    }

    /**
     * Set repayPnltIntAmt 还款罚息.
     */
    public void setRepayPnltIntAmt(Money repayPnltIntAmt){
        this.repayPnltIntAmt = repayPnltIntAmt;
    }

    /**
     * Get repayPnltIntAmt 还款罚息.
     *
     * @return the string
     */
    public Money getRepayPnltIntAmt(){
        return repayPnltIntAmt;
    }

    /**
     * Set repayTrustIntAmt 五矿实收利息.
     */
    public void setRepayTrustIntAmt(Money repayTrustIntAmt){
        this.repayTrustIntAmt = repayTrustIntAmt;
    }

    /**
     * Get repayTrustIntAmt 五矿实收利息.
     *
     * @return the string
     */
    public Money getRepayTrustIntAmt(){
        return repayTrustIntAmt;
    }

    /**
     * Set repayTrustPnltIntAmt 五矿实收罚息.
     */
    public void setRepayTrustPnltIntAmt(Money repayTrustPnltIntAmt){
        this.repayTrustPnltIntAmt = repayTrustPnltIntAmt;
    }

    /**
     * Get repayTrustPnltIntAmt 五矿实收罚息.
     *
     * @return the string
     */
    public Money getRepayTrustPnltIntAmt(){
        return repayTrustPnltIntAmt;
    }

    /**
     * Set astCnt 剩余资产数量.
     */
    public void setAstCnt(Long astCnt){
        this.astCnt = astCnt;
    }

    /**
     * Get astCnt 剩余资产数量.
     *
     * @return the string
     */
    public Long getAstCnt(){
        return astCnt;
    }

    /**
     * Set astPrinBal 剩余资产本金.
     */
    public void setAstPrinBal(Money astPrinBal){
        this.astPrinBal = astPrinBal;
    }

    /**
     * Get astPrinBal 剩余资产本金.
     *
     * @return the string
     */
    public Money getAstPrinBal(){
        return astPrinBal;
    }

    /**
     * Set astIntBal 剩余资产利息.
     */
    public void setAstIntBal(Money astIntBal){
        this.astIntBal = astIntBal;
    }

    /**
     * Get astIntBal 剩余资产利息.
     *
     * @return the string
     */
    public Money getAstIntBal(){
        return astIntBal;
    }

    /**
     * Set astPnltIntBal 剩余资产罚息.
     */
    public void setAstPnltIntBal(Money astPnltIntBal){
        this.astPnltIntBal = astPnltIntBal;
    }

    /**
     * Get astPnltIntBal 剩余资产罚息.
     *
     * @return the string
     */
    public Money getAstPnltIntBal(){
        return astPnltIntBal;
    }



}
