/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.ast;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;

import java.util.Date;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param: AstScreenRulePageQryParam.java, v 0.1 2019-06-01 21:23 bangis.wangdf Exp $
 */
public class AstScreenRulePageQryParam extends BasePageQryParam {
    private static final long   serialVersionUID = -265510496574024589L;
    /**
     * abssqrProdCode 内部产品码.
     */
    private              String abssqrProdCode;
    /**
     * screenRuleName 资产筛选规则编号.
     */
    private              String screenRuleName;
    /**
     * createStart . 创建日期Start
     */
    private              Date   createStart;
    /**
     * createEnd .创建日期End
     */
    private              Date   createEnd;
    /**
     * 操作 枚举：类型为 edit 和 select
     */
    private              String handleType;
    /**
     * lenderOrgCode 原始权益机构.
     */
    private              String lenderOrgCode;
    /**
     * managerOrgCode 计划代理机构 管理机构-都是不带账号. 改名字  planMgrOrgCode
     */
    private              String planMgrOrgCode;
    /**
     * 筛选类型
     */
    private              String screenType;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }

    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    public String getScreenRuleName() {
        return screenRuleName;
    }

    public void setScreenRuleName(String screenRuleName) {
        this.screenRuleName = screenRuleName;
    }

    public Date getCreateStart() {
        return createStart;
    }

    public void setCreateStart(Date createStart) {
        this.createStart = createStart;
    }

    public Date getCreateEnd() {
        return createEnd;
    }

    public void setCreateEnd(Date createEnd) {
        this.createEnd = createEnd;
    }

    public String getHandleType() {
        return handleType;
    }

    public void setHandleType(String handleType) {
        this.handleType = handleType;
    }

    public String getLenderOrgCode() {
        return lenderOrgCode;
    }

    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }

    public String getPlanMgrOrgCode() {
        return planMgrOrgCode;
    }

    public void setPlanMgrOrgCode(String planMgrOrgCode) {
        this.planMgrOrgCode = planMgrOrgCode;
    }

    public String getScreenType() {
        return screenType;
    }

    public void setScreenType(String screenType) {
        this.screenType = screenType;
    }
}
