/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.loan;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author yangcheng
 * @version LoanQryParam.java, v0.12019-07-1110:20 yangchengExp$
 */
public class LoanQryParam extends BaseParam {
    
    /**
     * planNo 计划编号.
     */
    @VldString(message = "计划编号不能为空")
    private String  planNo;

    /**
     * 资金编号
     */
    private String capitalNo;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getCapitalNo() {
        return capitalNo;
    }

    public void setCapitalNo(String capitalNo) {
        this.capitalNo = capitalNo;
    }
}
