/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.org;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.org: OrgPageQryParam.java, v 0.1 2019-05-28 11:06 zhenxuan.luo Exp $
 */
public class OrgPageQryParam extends BasePageQryParam {
    
    private static final long serialVersionUID = 192472242253610402L;
    /**
     * 机构简称
     */
    private String orgAbbr;
    
    public String getOrgAbbr() {
        return orgAbbr;
    }
    
    public void setOrgAbbr(String orgAbbr) {
        this.orgAbbr = orgAbbr;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }
}