/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 资产结构列表
 * @author hanfei
 * @version $Id: FormationAstItemVO.java, v 0.1 2019-09-24 5:44 PM hanfei Exp $ 
 */
public class FormationAstItemVO extends BaseEntity implements Serializable {
    
    /**
     * 计划编号
     */
    private String planNo;
    /**
     * 排名
     */
    private Integer sequence;
    /**
     * 期限范围
     */
    private String termRange;
    /**
     * 资产规模
     */
    private Money astScale = new Money();
    /**
     * 占比
     */
    private BigDecimal astRate = BigDecimal.ZERO;
    
    /**
     * 内部排序用
     */
    private Integer sort;
    
    
    public Integer getSequence() {
        return sequence;
    }
    
    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }
    
    public String getTermRange() {
        return termRange;
    }
    
    public void setTermRange(String termRange) {
        this.termRange = termRange;
    }
    
    public Money getAstScale() {
        return astScale;
    }
    
    public void setAstScale(Money astScale) {
        this.astScale = astScale;
    }
    
    public BigDecimal getAstRate() {
        return astRate;
    }
    
    public void setAstRate(BigDecimal astRate) {
        this.astRate = astRate;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public Integer getSort() {
        return sort;
    }
    
    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
