/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.result.ast;

import com.abssqr.plat.common.facade.result.ApproveBaseEntity;
import com.general.system.bpm.enums.ApproveStatusEnum;

import java.util.Date;

/**
 * 筛选规则列表VO
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.result.ast: AstScreenRuleVO.java, v 0.1 2019-06-01 21:21 bangis.wangdf Exp $
 */
public class AstScreenRuleVO extends ApproveBaseEntity {
    private static final long              serialVersionUID = -349880054611755145L;
    /**
     * screenRuleName 资产筛选规则编号.
     */
    private              String            screenRuleName;
    /**
     * screenRuleNo 资产筛选规则编号.
     */
    private              String            screenRuleNo;
    /**
     * prodCode 准入产品码.
     */
    private              String            prodCode;
    /**
     * prodName 准入产品名称.
     */
    private              String            prodName;
    /**
     * lenderOrgCode 原始权益机构.
     */
    private              String            lenderOrgCode;
    /**
     * orgCode 原始权益机构.
     */
    private              String            lenderOrgName;
    /**
     * gmtCreate 创建时间.
     */
    private              Date              gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private              Date              gmtModified;
    /**
     * approveStatus 审批状态.
     */
    private              ApproveStatusEnum approveStatus;

    public String getScreenRuleName() {
        return screenRuleName;
    }

    public void setScreenRuleName(String screenRuleName) {
        this.screenRuleName = screenRuleName;
    }

    public String getScreenRuleNo() {
        return screenRuleNo;
    }

    public void setScreenRuleNo(String screenRuleNo) {
        this.screenRuleNo = screenRuleNo;
    }

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdName() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }

    public String getLenderOrgCode() {
        return lenderOrgCode;
    }

    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getLenderOrgName() {
        return lenderOrgName;
    }

    public void setLenderOrgName(String lenderOrgName) {
        this.lenderOrgName = lenderOrgName;
    }
    
    public ApproveStatusEnum getApproveStatus() {
        return approveStatus;
    }
    
    public void setApproveStatus(ApproveStatusEnum approveStatus) {
        this.approveStatus = approveStatus;
    }
}
