/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.service.report;

import com.abssqr.plat.common.facade.model.report.PlanReport;
import com.abssqr.plat.common.facade.model.report.wk.WkManagerReport;
import com.abssqr.plat.common.facade.param.base.CommonPlanQryParam;
import com.abssqr.plat.common.facade.param.reportForm.ReportFormAstParam;
import com.abssqr.plat.common.facade.param.reportForm.ReportFormMgrParam;

import java.util.List;

/**
 *
 * @author yangcheng
 * @version ReportService.java, v0.12019-07-0114:18 yangchengExp$
 */
public interface ReportService {
    
    /**
     * 计划报表查询
     * @param param
     * @return
     */
    WkManagerReport getReportFormPlan(ReportFormMgrParam param);
    
    /**
     * 资产报表查询
     * @param param
     * @return
     */
    List<PlanReport> getReportFormAst(ReportFormAstParam param);
    
    /**
     * 资产报表查询
     * @param param
     * @return
     */
    List<PlanReport> getReportFormMonthEnd(CommonPlanQryParam param);
    
}
