/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.integration.notice.model.impl;

import com.abssqr.plat.common.integration.notice.model.Markdown;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.integration.notice.model.impl: DingTalkMarkDown.java, v 0.1 2019-09-30 2:53 PM xiachenxiang Exp $
 */
public class DingTalkMarkDown implements Markdown {
    private String text;
    // 发现钉钉的自定义机器人title不显示 所以我这边直接设置一个默认值
    private String title = "title";

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    @Override
    public void setContent(String content) {
        this.text = content;
    }

    public String getTitle() {
        return title;
    }

    @Override
    public void setTitle(String title) {
        this.title = title;
    }
}
