/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.OrgHolidayDO;
import com.abssqr.plat.common.facade.model.holiday.Holiday;

/**
 * @author yaphet
 * @version com.abssqr.plat.common.model.convertor: HolidayConvert.java, v 0.1 2018-06-29 下午4:31 yaphet Exp $
 */
public class HolidayConvert {
    public static OrgHolidayDO holiday2DO(Holiday holiday) {
        if (holiday == null){
            return null;
        }
        OrgHolidayDO orgHolidayDO = new OrgHolidayDO();

        if (holiday.getDateInfo() != null) {
            orgHolidayDO.setDateInfo(holiday.getDateInfo());
        }
        if (holiday.getDateType() != null) {
            orgHolidayDO.setDateType(holiday.getDateType().getCode());
        }
        orgHolidayDO.setMemo(holiday.getMemo());
        orgHolidayDO.setOrgCode(holiday.getOrgCode());
        return orgHolidayDO;
    }
}
