/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.accounting;

import com.abssqr.plat.common.model.enums.OrgCodeEnum;

import java.util.Date;

/**
 * 会计日模型
 * @author hanfei
 * @version $Id: AcctDate.java, v 0.1 2020-03-06 11:05 AM hanfei Exp $ 
 */
public class AcctDate {
    
    /**
     * orgCode 机构编码.
     */
    private OrgCodeEnum orgCode;
    /**
     * acctDate 会计日.
     */
    private Date        acctDate;
    /**
     * eff 切换控制开关1开启，0关闭.
     */
    private Boolean     eff;
    
    
    public Boolean getEff() {
        return eff;
    }
    
    public void setEff(Boolean eff) {
        this.eff = eff;
    }
    
    public Date getAcctDate() {
        return acctDate;
    }
    
    public void setAcctDate(Date acctDate) {
        this.acctDate = acctDate;
    }
    
    public OrgCodeEnum getOrgCode() {
        return orgCode;
    }
    
    public void setOrgCode(OrgCodeEnum orgCode) {
        this.orgCode = orgCode;
    }
}
