/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.enums.YNEnum;
import com.general.system.common.model.BaseEntity;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: LoanRisk.java, v 0.1 2019-06-17 14:15 zhenxuan.luo Exp $
 */
public class LoanRisk extends BaseEntity {
    
    private int ovdDays;
    
    private AstRiskClassEnum riskClass;
    
    private YNEnum wtfStatus = YNEnum.N;
    
    public LoanRisk() {
    }
    
    public LoanRisk(int ovdDays, AstRiskClassEnum riskClass) {
        this.ovdDays = ovdDays;
        this.riskClass = riskClass;
    }
    
    public void cloneTo(LoanRisk loanRisk) {
        this.ovdDays = loanRisk.ovdDays;
        this.riskClass = loanRisk.riskClass;
        this.wtfStatus = loanRisk.wtfStatus;
    }
    
    public int getOvdDays() {
        return ovdDays;
    }
    
    public void setOvdDays(int ovdDays) {
        this.ovdDays = ovdDays;
    }
    
    public AstRiskClassEnum getRiskClass() {
        return riskClass;
    }
    
    public void setRiskClass(AstRiskClassEnum riskClass) {
        this.riskClass = riskClass;
    }
    
    public YNEnum getWtfStatus() {
        return wtfStatus;
    }
    
    public void setWtfStatus(YNEnum wtfStatus) {
        this.wtfStatus = wtfStatus;
    }
}