/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorRecordDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.MonitorRecordPage;
import com.abssqr.plat.common.facade.model.plan.PlanMonitor;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanEventMonitorQryParam;

import java.math.BigDecimal;

/**
 *
 * @author yangcheng
 * @version PlanMonitorRecordRepo.java, v0.12019-07-0318:43 yangchengExp$
 */
public interface PlanMonitorRecordRepo {
    
    /**
     * 新增监控事件
     * @param planMonitor
     * @param nowVal
     * @return
     */
    void insert(PlanMonitor planMonitor, BigDecimal nowVal);
    
    /**
     * 监控事件列表
     * @param param
     * @return
     */
    MonitorRecordPage getEventByPlan(PlanEventMonitorQryParam param);
}
