/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.plan;

import java.util.List;
import java.util.Map;

import com.abssqr.plat.common.facade.model.plan.PlanTransferRule;

/**
 * @author yaphet
 * @version com.abssqr.admin.common.model.repo.rule: PlanTransferRuleRepo.java, v 0.1 2018-02-27 下午7:33 yaphet Exp $
 */
public interface PlanTransferRuleRepo {

    /**
     * 获取计划转让规则
     * @param planNo
     * @return
     */
    PlanTransferRule getByPlanNo(String planNo);

    void add(String planNo, PlanTransferRule transferRule);

    void update(String planNo, PlanTransferRule transferRule);

    /**
     * 根据计划编号删除
     * @param planNo
     */
    void deleteByPlanNo(String planNo);
}
