/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2018 All Rights Reserved. 
 */
package com.abssqr.plat.common.util.loggers;

import com.general.system.common.model.BaseEntity;

/**
 *
 * @author zhenxuan.luo
 * @version com.loan.common.model.log: LogInfo.java, v 0.1 2018-12-19 AM11:47 zhenxuan.luo Exp $
 */
public class LogInfo extends BaseEntity {
    
    /** 服务开始时间 */
    private final long   startTime;
    /** 服务门面 */
    private       String facadeName;
    /** 服务方法 */
    private       String methodName;
    
    /**
     * 默认构造函数
     */
    public LogInfo() {
        this.startTime = System.currentTimeMillis();
    }
    
    /**
     * 获取服务消耗时间
     *
     * @return 服务消耗时间
     */
    public long getElapseTime() {
        return System.currentTimeMillis() - startTime;
    }
    
    public String getFacadeName() {
        return facadeName;
    }
    
    public void setFacadeName(String facadeName) {
        this.facadeName = facadeName;
    }
    
    public String getMethodName() {
        return methodName;
    }
    
    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }
    
    public long getStartTime() {
        return startTime;
    }
}