/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.core.service.acct;

import com.abssqr.plat.common.dal.mysql.auto.dao.AcctDateDAO;
import com.abssqr.plat.common.model.repo.task.AstSyncTaskCtrRepo;
import com.abssqr.plat.common.model.wk.repo.WkDhccBatchRepo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.support.TransactionTemplate;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.core.service.acctday: AcctDateManager.java, v 0.1 2019-12-11 13:20 bangis.wangdf Exp $
 */
@Service
public class AcctDateManager {
    protected final Logger LOGGER = LoggerFactory.getLogger(getClass());
    @Value("${wkabs.astsync.zhaolian:1009}")
    private          String orgCode;
    @Autowired
    AcctDateDAO         acctDateDAO;
    @Autowired
    TransactionTemplate transactionTemplate;
    @Autowired
    AstSyncTaskCtrRepo  astSyncTaskCtrRepo;
    @Autowired
    WkDhccBatchRepo     wkDhccBatchRepo;

//    @Deprecated
//    public void acctDaySwitch(){
//        transactionTemplate.execute(transactionStatus -> {
//            AcctDateDO acctDateDO = acctDateDAO.getForLock("");
//            if (acctDateDO != null) {
//                //dbDay+1=sysdate
//                Date dbAcctDay = DateTimeUtil.getStandardDate(acctDateDO.getAcctDate());
//                Date systemDay = DateTimeUtil.getStandardDate(SystemDateUtil.getSystemDate());
//
//                if (DateTimeUtil.calcDayDiff(systemDay, dbAcctDay) == 1) {
//                    //模型同步完
//                    if (astSyncTaskCtrRepo.geTaskLog(dbAcctDay, SyncTaskTypeEnum.AST_MOD, orgCode)
//                        != null) {
//                        AstSyncTaskCtr astSyncTaskCtr = astSyncTaskCtrRepo.getAstSyncTaskCtr(orgCode);
//                        boolean dataReady = wkDhccBatchRepo.checkDataReady(astSyncTaskCtr.getExtData().getCtrFlg(), dbAcctDay);
//                        if(dataReady){
//                            acctDateDAO.update(systemDay, acctDateDO.getOrgCode());
//                            LogUtil.info(LOGGER,"[AcctDaySwitchJob]切换会计日{0}->{1}",dbAcctDay,systemDay);
//                        }else {
//                            //log
//                            LogUtil.info(LOGGER,"[AcctDaySwitchJob]切换会计日-不满足条件{2}:{0}->{1}",dbAcctDay,systemDay,"小微数据未准备完毕");
//                        }
//                    } else {
//                        //log
//                        LogUtil.info(LOGGER,"[AcctDaySwitchJob]切换会计日-不满足条件{2}:{0}->{1}",dbAcctDay,systemDay,"模型同步未完成");
//                    }
//                } else {
//                    //log
//                    LogUtil.info(LOGGER,"[AcctDaySwitchJob]切换会计日-不满足条件{2}:{0}->{1}",dbAcctDay,systemDay,"日期间隔不满足条件dbDay+1=sysdate");
//                }
//            }
//            return transactionStatus;
//        });
//    }
}
