/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.core.service.rule.node;

import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.abssqr.plat.common.facade.model.rule.TradePriceRule;
import com.abssqr.plat.common.model.domain.rule.LoanAstPriceCalcParam;
import com.abssqr.plat.common.model.domain.rule.LoanAstPriceResult;
import com.general.system.util.adapter.selector.AbstractSingleActionSelectorNode;

/**
 *
 * @author hanfei
 * @version $Id: AbstractPriceBaseCalc.java, v 0.1 2020-02-07 6:19 PM hanfei Exp $
 */
public abstract class AbstractPriceBaseCalc<Rule extends TradePriceRule>
        extends AbstractSingleActionSelectorNode<LoanAstPriceCalcParam<Rule>, LoanAstPriceResult, AstPackTradeTypeEnum> {
    
}
