/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.biz.shared.listener;

import com.abssqr.plat.common.facade.model.CommonPlanEntity;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.common.facade.model.report.PlanReport;
import org.springframework.context.ApplicationEvent;

/**
 *
 * @author yangcheng
 * @version PlanMonitorRecordEvent.java, v0.12019-07-0414:48 yangchengExp$
 */
public class PlanMonitorRecordEvent extends ApplicationEvent {
    
    private PlanReport planReport;
    
    private PlanBase planEntity;
    
    public PlanMonitorRecordEvent(Object source, PlanReport planReport, PlanBase planEntity) {
        super(source);
        this.planReport = planReport;
        this.planEntity = planEntity;
    }
    
    public PlanReport getPlanReport() {
        return planReport;
    }
    
    public void setPlanReport(PlanReport planReport) {
        this.planReport = planReport;
    }
    
    public PlanBase getPlanEntity() {
        return planEntity;
    }
    
    public void setPlanEntity(PlanBase planEntity) {
        this.planEntity = planEntity;
    }
}
