/*
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.dal;

public class AbssqrCoreConstants{
    public static class ABS_PLAN_AST_LOG{
        public static final String tableName="ABS_PLAN_AST_LOG";
        public static final String  Base_SF_Column_List = "sf.ID,sf.CASH,sf.BANK_BAL,sf.CASH_AMT,sf.ACC_GRANT, sf.HAPPEN_AMT,sf.TRANS_BIZ_NO,sf.TRADER_TYPE         ,sf.LAST_CASH,sf.PAY_CLEAR,sf.PAY_ON_WAY,sf.REPO_CLEAR,sf.REPO_ON_WAY,sf.CHECK_CASH,sf.LAST_CHECK_CASH         ,sf.FROZEN_CASH,sf.ACC_GRANT_AMT,sf.LAST_BANK_BAL,sf.LAST_ACC_GRANT,sf.LAST_PAY_CLEAR          ,sf.LAST_PAY_ON_WAY,sf.FROZEN_CASH_AMT,sf.LAST_REPO_CLEAR,sf.LAST_REPO_ON_WAY,sf.LAST_FROZEN_CASH          ,sf.EXT_INF,sf.PLAN_NO,sf.TRANS_CODE,sf.CHANGE_TYPE,sf.GMT_CREATE          ,sf.ACCOUNT_DATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,CASH,BANK_BAL,CASH_AMT,ACC_GRANT,HAPPEN_AMT,TRANS_BIZ_NO,TRADER_TYPE         ,LAST_CASH,PAY_CLEAR,PAY_ON_WAY,REPO_CLEAR,REPO_ON_WAY,CHECK_CASH,LAST_CHECK_CASH         ,FROZEN_CASH,ACC_GRANT_AMT,LAST_BANK_BAL,LAST_ACC_GRANT,LAST_PAY_CLEAR          ,LAST_PAY_ON_WAY,FROZEN_CASH_AMT,LAST_REPO_CLEAR,LAST_REPO_ON_WAY,LAST_FROZEN_CASH          ,EXT_INF,PLAN_NO,TRANS_CODE,CHANGE_TYPE,GMT_CREATE          ,ACCOUNT_DATE,GMT_MODIFIED";
    }
    public static class ABS_AST_SCREEN_RULE{
        public static final String tableName="ABS_AST_SCREEN_RULE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.SINGLE_MAX_AMOUNT,sf.SINGLE_MIN_AMOUNT,sf.REGION,sf.LENDER_ORG_CODE         ,sf.PROD_CODE,sf.ABSSQR_PROD_CODE,sf.PROD_NAME,sf.ASSET_STATUS,sf.SCREEN_RULE_NO,sf.SCREEN_RULE_NAME         ,sf.MAX_AGE,sf.MIN_AGE,sf.MAX_TERM,sf.MIN_TERM,sf.MAX_REMAIN_DAYS         ,sf.MIN_REMAIN_DAYS,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.LATEST_END_DATE,sf.EARLIEST_END_DATE,sf.MANAGER_ORG_CODE         ,sf.SINGLE_MAX_INTER_RATE,sf.SINGLE_MIN_INTER_RATE,sf.GMT_CREATOR,sf.GMT_MODIFIER         ,sf.APPROVE_STATUS,sf.SCREEN_TYPE";
        public static final String  Base_Column_List = "ID,SINGLE_MAX_AMOUNT,SINGLE_MIN_AMOUNT,REGION,LENDER_ORG_CODE         ,PROD_CODE,ABSSQR_PROD_CODE,PROD_NAME,ASSET_STATUS,SCREEN_RULE_NO,SCREEN_RULE_NAME         ,MAX_AGE,MIN_AGE,MAX_TERM,MIN_TERM,MAX_REMAIN_DAYS         ,MIN_REMAIN_DAYS,GMT_CREATE,GMT_MODIFIED,LATEST_END_DATE,EARLIEST_END_DATE,MANAGER_ORG_CODE         ,SINGLE_MAX_INTER_RATE,SINGLE_MIN_INTER_RATE,GMT_CREATOR,GMT_MODIFIER         ,APPROVE_STATUS,SCREEN_TYPE";
    }
    public static class ABS_PLAN_TRANSFER_RULE{
        public static final String tableName="ABS_PLAN_TRANSFER_RULE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.RES_AMT,sf.PLAN_NO,sf.TR_CYCLE,sf.TRANSFER_NO          ,sf.CYCLE,sf.SLICE,sf.STOP_TR_DATE,sf.START_TR_DATE";
        public static final String  Base_Column_List = "ID,RES_AMT,PLAN_NO,TR_CYCLE,TRANSFER_NO          ,CYCLE,SLICE,STOP_TR_DATE,START_TR_DATE";
    }
    public static class ABS_ORGANIZATION{
        public static final String tableName="ABS_ORGANIZATION";
        public static final String  Base_SF_Column_List = "sf.ID,sf.STATUS,sf.ORG_CODE,sf.ORG_NAME,sf.LINKMAN_NAME          ,sf.LINKMAN_EMAIL,sf.LINKMAN_PHONE,sf.ORG_ABBREVIATION,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,STATUS,ORG_CODE,ORG_NAME,LINKMAN_NAME          ,LINKMAN_EMAIL,LINKMAN_PHONE,ORG_ABBREVIATION,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_PLAN_CLEARING_ORDER{
        public static final String tableName="ABS_PLAN_CLEARING_ORDER";
        public static final String  Base_SF_Column_List = "sf.ID,sf.TRANS_AMT,sf.SEQ_NO,sf.PLAN_NO,sf.EXEC_TMS,sf.LOG_MIN_MAX_ID,sf.MEMO         ,sf.TRANS_CODE,sf.CNT_PTY_CODE,sf.TRANS_STATUS,sf.TRANS_ORDER_NO,sf.GMT_CREATE          ,sf.ACCOUNT_DATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,TRANS_AMT,SEQ_NO,PLAN_NO,EXEC_TMS,LOG_MIN_MAX_ID,MEMO         ,TRANS_CODE,CNT_PTY_CODE,TRANS_STATUS,TRANS_ORDER_NO,GMT_CREATE          ,ACCOUNT_DATE,GMT_MODIFIED";
    }
    public static class ABS_PLAN_REPORT_ITEM_DEFAULT{
        public static final String tableName="ABS_PLAN_REPORT_ITEM_DEFAULT";
        public static final String  Base_SF_Column_List = "sf.ID,sf.AMT,sf.AST_CNT,sf.RPT_NO,sf.PLAN_NO          ,sf.RPT_ITEM,sf.RPT_ITEM_NAME,sf.GMT_CREATE,sf.ACCOUNT_DATE";
        public static final String  Base_Column_List = "ID,AMT,AST_CNT,RPT_NO,PLAN_NO          ,RPT_ITEM,RPT_ITEM_NAME,GMT_CREATE,ACCOUNT_DATE";
    }
    public static class ABS_AST_SYNC_TASK_CTR_LOG{
        public static final String tableName="ABS_AST_SYNC_TASK_CTR_LOG";
        public static final String  Base_SF_Column_List = "sf.ID,sf.HOST_IP,sf.STATUS,sf.EXT_DATA,sf.ORG_CODE, ORG_DATE         ,sf.TASK_CODE,sf.TASK_TYPE,sf.TASK_LOG_CODE,sf.EXEC_DATE,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,HOST_IP,STATUS,EXT_DATA,ORG_CODE ,TASK_TYPE, ORG_DATE         ,TASK_CODE,TASK_LOG_CODE,EXEC_DATE,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_LOAN_INSTAL_LOG{
        public static final String tableName="ABS_LOAN_INSTAL_LOG";
        public static final String  Base_SF_Column_List = "sf.USER_ID,sf.CLRG_AMT,sf.INTR_AMT,sf.PRIN_AMT,sf.AF_FEE_BAL,sf.AF_INTR_BAL,sf.BF_OVD_DAYS,sf.AF_OVD_DAYS         ,sf.AF_PRIN_BAL,sf.FEE_AMT,sf.INTR_PENAL_AMT,sf.PRIN_PENAL_AMT,sf.AF_FEE_PENAL_BAL         ,sf.AF_INTR_PENAL_BAL,sf.AF_PRIN_PENAL_BAL,sf.FEE_PENAL_AMT,sf.AST_NO,sf.BIZ_NO         ,sf.SEQ_NO,sf.EXT_INF,sf.OWN_ORG,sf.PROD_NO,sf.EXEC_TMS         ,sf.OWN_PACK,sf.AF_STATUS,sf.BF_STATUS,sf.OUT_AST_NO,sf.OUT_BIZ_NO         ,sf.EVENT_CODE,sf.OUT_PROD_NO,sf.TRANS_CODE,sf.CONTRACT_NO,sf.HANG_INTR_AMT         ,sf.LENDER_ORG_CODE,sf.MANAGER_ORG_CODE,sf.SPONSER_ORG_CODE,sf.TERM_NO,sf.GMT_CREATE         ,sf.PAID_PRIN_FUND_AMT,sf.PAID_PRIN_PENAL_FUND_AMT,sf.PAID_INTR_FUND_AMT,sf.PAID_INTR_PENAL_FUND_AMT,sf.PAID_FEE_FUND_AMT,sf.PAID_FEE_PENAL_FUND_AMT         ,sf.TRANS_TIME,sf.ACCOUNT_DATE,sf.GMT_MODIFIED         ,sf.PAID_HANG_INTR_FUND_AMT,sf.org_dist_pft_amt,sf.org_dist_pft_appor_amt,sf.org_dist_pft_paid_amt         ,sf.AF_OTHER_FEE_BAL,sf.OTHER_FEE_AMT,sf.PAID_OTHER_FEE_FUND_AMT";
        public static final String  Base_Column_List = "USER_ID,CLRG_AMT,INTR_AMT,PRIN_AMT,AF_FEE_BAL,AF_INTR_BAL,BF_OVD_DAYS,AF_OVD_DAYS         ,AF_PRIN_BAL,FEE_AMT,INTR_PENAL_AMT,PRIN_PENAL_AMT,AF_FEE_PENAL_BAL          ,AF_INTR_PENAL_BAL,AF_PRIN_PENAL_BAL,FEE_PENAL_AMT,AST_NO,BIZ_NO          ,SEQ_NO,EXT_INF,OWN_ORG,PROD_NO,EXEC_TMS          ,OWN_PACK,AF_STATUS,BF_STATUS,OUT_AST_NO,OUT_BIZ_NO          ,EVENT_CODE,OUT_PROD_NO,TRANS_CODE,CONTRACT_NO,HANG_INTR_AMT         ,LENDER_ORG_CODE,MANAGER_ORG_CODE,SPONSER_ORG_CODE,TERM_NO,GMT_CREATE         ,PAID_PRIN_FUND_AMT,PAID_PRIN_PENAL_FUND_AMT,PAID_INTR_FUND_AMT,PAID_INTR_PENAL_FUND_AMT,PAID_FEE_FUND_AMT,PAID_FEE_PENAL_FUND_AMT         ,TRANS_TIME,ACCOUNT_DATE,GMT_MODIFIED         ,PAID_HANG_INTR_FUND_AMT,org_dist_pft_amt,org_dist_pft_appor_amt,org_dist_pft_paid_amt         ,AF_OTHER_FEE_BAL,OTHER_FEE_AMT,PAID_OTHER_FEE_FUND_AMT";
    }
    public static class ABS_PLAN_ALLOC_FROZEN{
        public static final String tableName="ABS_PLAN_ALLOC_FROZEN";
        public static final String  Base_SF_Column_List = "sf.FROZEN_CASH,sf.LAST_FROZEN_CASH,sf.PLAN_NO,sf.ALLOC_NO,sf.GMT_CREATE          ,sf.GMT_MODIFIED,sf.LAST_UPDATE_DATE";
        public static final String  Base_Column_List = "FROZEN_CASH,LAST_FROZEN_CASH,PLAN_NO,ALLOC_NO,GMT_CREATE          ,GMT_MODIFIED,LAST_UPDATE_DATE";
    }
    public static class ABS_ACCT_DATE{
        public static final String tableName="ABS_ACCT_DATE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.ORG_CODE,sf.ORG_TYPE,sf.EFF,sf.ACCT_DATE          ,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,ORG_CODE,ORG_TYPE,EFF,ACCT_DATE          ,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_PLAN_AST_PRICE_RULE{
        public static final String tableName="ABS_PLAN_AST_PRICE_RULE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.TERM_NO,sf.PLAN_NO,sf.GMT_CREATE,sf.GMT_MODIFIED          ,sf.INTR_DISCOUNT_RATE";
        public static final String  Base_Column_List = "ID,TERM_NO,PLAN_NO,GMT_CREATE,GMT_MODIFIED          ,INTR_DISCOUNT_RATE";
    }
    public static class ABS_DATA_CHECK{
        public static final String tableName="ABS_DATA_CHECK";
    }
    public static class ABS_TASK_GROUP{
        public static final String tableName="ABS_TASK_GROUP";
        public static final String  Base_SF_Column_List = "sf.ID,sf.TASKS,sf.STATUS,sf.JOB_NAME,sf.HOST_NAME          ,sf.TASK_TYPE,sf.DISABLE,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,TASKS,STATUS,JOB_NAME,HOST_NAME          ,TASK_TYPE,DISABLE,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_LOAN_AST_PROFIT_LOG{
        public static final String tableName="ABS_LOAN_AST_PROFIT_LOG";
        public static final String  Base_SF_Column_List = "sf.FEE_AMT,sf.TERM_NO,sf.INTR_AMT,sf.AF_FEE_BAL         ,sf.AF_INTR_BAL,sf.SRC_TERM_NO,sf.FUND_FEE_AMT,sf.FEE_PENAL_AMT,sf.FUND_INTR_AMT          ,sf.INTR_PENAL_AMT,sf.PRIN_PENAL_AMT,sf.AF_FEE_PENAL_BAL,sf.AF_INTR_PENAL_BAL,sf.AF_PRIN_PENAL_BAL          ,sf.FUND_FEE_PENAL_AMT,sf.FUND_INTR_PENAL_AMT,sf.FUND_PRIN_PENAL_AMT,sf.MANAGER_ORG_FEE_AMT,sf.AST_NO          ,sf.BIZ_NO,sf.SEQ_NO,sf.OWN_ORG,sf.EXEC_TMS,sf.EXT_INFO          ,sf.OUT_BIZ_NO,sf.EVENT_CODE,sf.LOAN_AST_NO,sf.TRANS_CODE,sf.PROFIT_TYPE          ,sf.AST_PROFIT_NO,sf.SPLIT_ORG_CODE,sf.GMT_CREATE,sf.TRANS_TIME,sf.ACCOUNT_DATE,sf.CLRG_AMT,sf.BIZ_TERM_NO         ,sf.OUT_AST_NO         ,sf.AF_OTHER_FEE_BAL,sf.OTHER_FEE_AMT,sf.FUND_OTHER_FEE_AMT,sf.MEMO";
        public static final String  Base_Column_List = "FEE_AMT,TERM_NO,INTR_AMT,AF_FEE_BAL         ,AF_INTR_BAL,SRC_TERM_NO,FUND_FEE_AMT,FEE_PENAL_AMT,FUND_INTR_AMT          ,INTR_PENAL_AMT,PRIN_PENAL_AMT,AF_FEE_PENAL_BAL,AF_INTR_PENAL_BAL,AF_PRIN_PENAL_BAL          ,FUND_FEE_PENAL_AMT,FUND_INTR_PENAL_AMT,FUND_PRIN_PENAL_AMT,MANAGER_ORG_FEE_AMT,AST_NO          ,BIZ_NO,SEQ_NO,OWN_ORG,EXEC_TMS,EXT_INFO          ,OUT_BIZ_NO,EVENT_CODE,LOAN_AST_NO,TRANS_CODE,PROFIT_TYPE          ,AST_PROFIT_NO,SPLIT_ORG_CODE,GMT_CREATE,TRANS_TIME,ACCOUNT_DATE,CLRG_AMT,BIZ_TERM_NO         ,OUT_AST_NO         ,AF_OTHER_FEE_BAL,OTHER_FEE_AMT,FUND_OTHER_FEE_AMT,MEMO";
    }
    public static class ABS_ORG_HOLIDAY{
        public static final String tableName="ABS_ORG_HOLIDAY";
        public static final String  Base_SF_Column_List = "sf.ID,sf.MEMO,sf.ORG_CODE,sf.DATA_DATE_INFO,sf.DATA_DATE_TYPE,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,MEMO,ORG_CODE,DATE_INFO,DATE_TYPE,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_LOAN_AST_LOG{
        public static final String tableName="ABS_LOAN_AST_LOG";
        public static final String  Base_SF_Column_List = "sf.TERM_NO,sf.PRIN_AMT,sf.AF_PRIN_BAL,sf.AST_NO         ,sf.BIZ_NO,sf.SEQ_NO,sf.EXT_INF,sf.OWN_ORG,sf.PROD_NO          ,sf.USER_ID,sf.EXEC_TMS,sf.IN_AST_NO,sf.OWN_PACK,sf.OUT_AST_NO          ,sf.OUT_BIZ_NO,sf.EVENT_CODE,sf.LOAN_AST_NO,sf.OUT_PROD_NO,sf.TRANS_CODE          ,sf.AF_AST_STATUS,sf.BF_AST_STATUS,sf.LENDER_ORG_CODE,sf.GMT_CREATE,sf.TRANS_TIME          ,sf.ACCOUNT_DATE,sf.CLRG_AMT";
        public static final String  Base_Column_List = "TERM_NO,PRIN_AMT,AF_PRIN_BAL,AST_NO         ,BIZ_NO,SEQ_NO,EXT_INF,OWN_ORG,PROD_NO          ,USER_ID,EXEC_TMS,IN_AST_NO,OWN_PACK,OUT_AST_NO          ,OUT_BIZ_NO,EVENT_CODE,LOAN_AST_NO,OUT_PROD_NO,TRANS_CODE          ,AF_AST_STATUS,BF_AST_STATUS,LENDER_ORG_CODE,GMT_CREATE,TRANS_TIME          ,ACCOUNT_DATE,CLRG_AMT";
    }
    public static class ABS_TR_TASK{
        public static final String tableName="ABS_TR_TASK";
        public static final String  Base_SF_Column_List = "sf.ID,sf.TFR_AMT,sf.TFR_PRIN_BAL,sf.MEMO,sf.AST_NO,sf.TERM_NO,sf.SEQ_NO,sf.TFR_OUT,sf.BATCH_NO,sf.TFR_PACK,sf.LAST_HOST,sf.TASK_STATUS,sf.EXEC_TIMES,sf.TFR_DATE,sf.GMT_CREATE,sf.AST_END_DATE,sf.GMT_MODIFIED,sf.LAST_EXEC_TIME,sf.NEXT_EXEC_TIME,         sf.TFR_INTR_BAL,sf.TFR_PENAL_FEE_BAL,sf.RISK_CL,sf.PRIN_RATE,sf.INTR_RATE,sf.PENAL_FEE_RATE,sf.PACK_TYPE";
        public static final String  Base_Column_List = "ID,TFR_AMT,TFR_PRIN_BAL,MEMO,AST_NO,TERM_NO,         SEQ_NO,TFR_OUT,BATCH_NO,TFR_PACK,         LAST_HOST,TASK_STATUS,EXEC_TIMES,TFR_DATE,GMT_CREATE,         AST_END_DATE,GMT_MODIFIED,LAST_EXEC_TIME,NEXT_EXEC_TIME,         TFR_INTR_BAL,TFR_PENAL_FEE_BAL,RISK_CL,PRIN_RATE,INTR_RATE,PENAL_FEE_RATE,PACK_TYPE";
    }
    public static class ABS_PLAN_REPORT_ENTITY_STAT{
        public static final String tableName="ABS_PLAN_REPORT_ENTITY_STAT";
        public static final String  Base_SF_Column_List = "sf.AST_CHG,sf.FEE_AMT,sf.INTR_AMT,sf.PRIN_AMT,sf.OVD_FEE_AMT          ,sf.OVD_INTR_AMT,sf.OVD_PRIN_AMT,sf.FEE_PENAL_AMT,sf.INTR_PENAL_AMT,sf.PRIN_PENAL_AMT          ,sf.PLAN_NO,sf.STAT_VAL,sf.STAT_TYPE,sf.EVENT_CODE,sf.ACCOUNT_DATE,sf.COST,sf.ORG_DISTPFT_AMT";
        public static final String  Base_Column_List = "AST_CHG,FEE_AMT,INTR_AMT,PRIN_AMT,OVD_FEE_AMT          ,OVD_INTR_AMT,OVD_PRIN_AMT,FEE_PENAL_AMT,INTR_PENAL_AMT,PRIN_PENAL_AMT          ,PLAN_NO,STAT_VAL,STAT_TYPE,EVENT_CODE,ACCOUNT_DATE,ORG_DISTPFT_AMT,COST";
    }
    public static class ABS_PLAN_ALLOC_ITEM{
        public static final String tableName="ABS_PLAN_ALLOC_ITEM";
        public static final String  Base_SF_Column_List = "sf.ID,sf.TRIAL_AMT,sf.CONFIRM_AMT,sf.TRIAL_TAX_AMT,sf.CONFIRM_TAX_AMT         ,sf.ITEM_NO,sf.PLAN_NO,sf.ALLOC_NO,sf.TITLE_NO,sf.TAX,sf.SORT         ,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.SETTLE_AMT";
        public static final String  Base_Column_List = "ID,TRIAL_AMT,CONFIRM_AMT,TRIAL_TAX_AMT,CONFIRM_TAX_AMT          ,ITEM_NO,PLAN_NO,ALLOC_NO,TITLE_NO,TAX,SORT         ,GMT_CREATE,GMT_MODIFIED,SETTLE_AMT";
    }
    public static class ABS_AST_PRICE_RULE{
        public static final String tableName="ABS_AST_PRICE_RULE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.RISK_CL,sf.ABSSQR_PROD_CODE,sf.GMT_CREATE,sf.GMT_MODIFIED          ,sf.INTR_RATE,sf.PRIN_RATE,sf.PENAL_FEE_RATE";
        public static final String  Base_Column_List = "ID,RISK_CL,ABSSQR_PROD_CODE,GMT_CREATE,GMT_MODIFIED          ,INTR_RATE,PRIN_RATE,PENAL_FEE_RATE";
    }
    public static class ABS_LOAN_LOG{
        public static final String tableName="ABS_LOAN_LOG";
        public static final String  Base_SF_Column_List = "sf.USER_ID,sf.FEE_AMT,sf.CLRG_AMT,sf.INTR_AMT,sf.PRIN_AMT         ,sf.OVD_PRIN_AMT,sf.OVD_INTR_AMT,sf.OVD_FEE_AMT,sf.AF_OWN_STATUS,sf.BF_OWN_STATUS         ,sf.AF_OVD_PRIN_BAL,sf.AF_OVD_INTR_BAL,sf.AF_OVD_FEE_BAL         ,sf.AF_FEE_BAL,sf.AF_INTR_BAL,sf.AF_PRIN_BAL,sf.FEE_PENAL_AMT,sf.INTR_PENAL_AMT          ,sf.PRIN_PENAL_AMT,sf.AF_FEE_PENAL_BAL,sf.AF_INTR_PENAL_BAL,sf.AF_PRIN_PENAL_BAL,sf.AST_NO          ,sf.BIZ_NO,sf.SEQ_NO,sf.OWN_ORG,sf.PROD_NO,sf.EXEC_TMS          ,sf.OWN_PACK,sf.AF_RISK_CL,sf.AF_STATUS,sf.BF_RISK_CL,sf.BF_STATUS,sf.AF_WTF_STATUS,sf.BF_WTF_STATUS         ,sf.OUT_AST_NO,sf.OUT_BIZ_NO,sf.EVENT_CODE,sf.OUT_PROD_NO,sf.TRANS_CODE          ,sf.CONTRACT_NO,sf.LENDER_ORG_CODE,sf.MANAGER_ORG_CODE,sf.SPONSER_ORG_CODE,sf.AF_OVD_DAYS          ,sf.AF_TERM_CNT,sf.BF_OVD_DAYS,sf.BF_TERM_CNT,sf.AF_END_DATE,sf.BF_END_DATE          ,sf.GMT_CREATE,sf.TRANS_TIME,sf.ACCOUNT_DATE,sf.GMT_MODIFIED,sf.BF_CAPITAL_NO,sf.AF_CAPITAL_NO         ,sf.OTHER_FEE_AMT,sf.AF_OTHER_FEE_BAL,sf.MEMO";
        public static final String  Base_Column_List = "USER_ID,FEE_AMT,CLRG_AMT,INTR_AMT,PRIN_AMT         ,OVD_PRIN_AMT,OVD_INTR_AMT,OVD_FEE_AMT,AF_OWN_STATUS,BF_OWN_STATUS         ,AF_OVD_PRIN_BAL,AF_OVD_INTR_BAL,AF_OVD_FEE_BAL         ,AF_FEE_BAL,AF_INTR_BAL,AF_PRIN_BAL,FEE_PENAL_AMT,INTR_PENAL_AMT          ,PRIN_PENAL_AMT,AF_FEE_PENAL_BAL,AF_INTR_PENAL_BAL,AF_PRIN_PENAL_BAL,AST_NO          ,BIZ_NO,SEQ_NO,OWN_ORG,PROD_NO,EXEC_TMS          ,OWN_PACK,AF_RISK_CL,AF_STATUS,BF_RISK_CL,BF_STATUS,AF_WTF_STATUS,BF_WTF_STATUS         ,OUT_AST_NO,OUT_BIZ_NO,EVENT_CODE,OUT_PROD_NO,TRANS_CODE          ,CONTRACT_NO,LENDER_ORG_CODE,MANAGER_ORG_CODE,SPONSER_ORG_CODE,AF_OVD_DAYS          ,AF_TERM_CNT,BF_OVD_DAYS,BF_TERM_CNT,AF_END_DATE,BF_END_DATE          ,GMT_CREATE,TRANS_TIME,ACCOUNT_DATE,GMT_MODIFIED,BF_CAPITAL_NO,AF_CAPITAL_NO         ,OTHER_FEE_AMT,AF_OTHER_FEE_BAL,MEMO";
    }
    public static class ABS_PLAN_FEE_STRUCTURE{
        public static final String tableName="ABS_PLAN_FEE_STRUCTURE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.FIXED_FEE_AMT,sf.PAY_LIMIT_AMT,sf.FEE_NO,sf.PLAN_NO          ,sf.FEE_NAME,sf.FEE_CALC_TYPE,sf.FEE_TIME_TYPE,sf.FEE_SCALE_TYPE,sf.CALC_BY_DAY          ,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.FEE_RATE         ,sf.FIN_SER_FEE_TYPE";
        public static final String  Base_Column_List = "ID,FIXED_FEE_AMT,PAY_LIMIT_AMT,FEE_NO,PLAN_NO          ,FEE_NAME,FEE_CALC_TYPE,FEE_TIME_TYPE,FEE_SCALE_TYPE,CALC_BY_DAY          ,GMT_CREATE,GMT_MODIFIED,FEE_RATE         ,FIN_SER_FEE_TYPE";
    }
    public static class ABS_PLAN_CLEARING_LOG_HIS{
        public static final String tableName="ABS_PLAN_CLEARING_LOG_HIS";
        public static final String  Base_SF_Column_List = "sf.ID,sf.AMT,sf.BIZ_NO,sf.SEQ_NO,sf.PLAN_NO          ,sf.EXEC_TMS,sf.TRANS_CODE,sf.CNT_PTY_CODE,sf.CLEARING_SEQ_NO,sf.ACCOUNT_DATE";
        public static final String  Base_Column_List = "ID,AMT,BIZ_NO,SEQ_NO,PLAN_NO          ,EXEC_TMS,TRANS_CODE,CNT_PTY_CODE,CLEARING_SEQ_NO,ACCOUNT_DATE";
    }
    public static class ABS_LOAN{
        public static final String tableName="ABS_LOAN";
        public static final String  Base_SF_Column_List = "sf.USER_ID,sf.FEE_BAL,sf.INTR_BAL,sf.PRIN_BAL,sf.PAID_FEE_AMT,sf.OVD_PRIN_BAL,sf.OVD_INTR_BAL,sf.OVD_FEE_BAL,sf.OWN_STATUS         ,sf.FEE_PENAL_BAL,sf.OTHER_FEE_BAL,sf.PAID_INTR_AMT,sf.PAID_PRIN_AMT,sf.INTR_PENAL_BAL         ,sf.PRIN_PENAL_BAL,sf.PAID_FEE_PENAL_AMT,sf.PAID_OTHER_FEE_AMT,sf.OTHER_FEE_PENAL_BAL,sf.PAID_INTR_PENAL_AMT         ,sf.PAID_PRIN_PENAL_AMT,sf.PAID_OTHER_FEE_PENAL_AMT,sf.AST_NO,sf.OWN_ORG,sf.PROD_NO,sf.OUT_PROD_NO         ,sf.RISK_CL,sf.STATUS,sf.OWN_PACK,sf.OUT_AST_NO,sf.CONTRACT_NO         ,sf.LAST_OWN_ORG,sf.LENDER_ORG_CODE,sf.MANAGER_ORG_CODE,sf.SPONSER_ORG_CODE,sf.CUR_TERM,sf.WTF_STATUS         ,sf.OVD_DAYS,sf.TERM_CNT,sf.IN_DATE,sf.END_DATE,sf.CLEAR_DATE,sf.DISB_DATE         ,sf.GMT_CREATE,sf.START_DATE,sf.GMT_MODIFIED,sf.LAST_UPDATE_DATE,sf.CERT_NO,sf.TRANS_CNT         ,sf.CAPITAL_NO,sf.LAYER_NAME,sf.EXT_INF";
        public static final String  Base_Column_List = "USER_ID,FEE_BAL,INTR_BAL,PRIN_BAL,PAID_FEE_AMT,OVD_PRIN_BAL,OVD_INTR_BAL,OVD_FEE_BAL,OWN_STATUS         ,FEE_PENAL_BAL,OTHER_FEE_BAL,PAID_INTR_AMT,PAID_PRIN_AMT,INTR_PENAL_BAL         ,PRIN_PENAL_BAL,PAID_FEE_PENAL_AMT,PAID_OTHER_FEE_AMT,OTHER_FEE_PENAL_BAL,PAID_INTR_PENAL_AMT         ,PAID_PRIN_PENAL_AMT,PAID_OTHER_FEE_PENAL_AMT,AST_NO,OWN_ORG,PROD_NO,OUT_PROD_NO         ,RISK_CL,STATUS,OWN_PACK,OUT_AST_NO,CONTRACT_NO         ,LAST_OWN_ORG,LENDER_ORG_CODE,MANAGER_ORG_CODE,SPONSER_ORG_CODE,CUR_TERM,WTF_STATUS         ,OVD_DAYS,TERM_CNT,IN_DATE,END_DATE,CLEAR_DATE,DISB_DATE         ,GMT_CREATE,START_DATE,GMT_MODIFIED,LAST_UPDATE_DATE,CERT_NO,TRANS_CNT,CAPITAL_NO,LAYER_NAME,EXT_INF";
    }
    public static class ABS_HOST_INFO{
        public static final String tableName="ABS_HOST_INFO";
        public static final String  Base_SF_Column_List = "sf.ID,sf.HOST_IP,sf.HOST_NAME,sf.LAST_BOOT,sf.GMT_CREATE,sf.LAST_HEART,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,HOST_IP,HOST_NAME,LAST_BOOT,GMT_CREATE,LAST_HEART,GMT_MODIFIED";
    }
    public static class ABS_TR_CTR_TASK{
        public static final String tableName="ABS_TR_CTR_TASK";
        public static final String  Base_SF_Column_List = "sf.ID,sf.PRE_TR_AMT,sf.PRE_TR_CNT,sf.BATCH_NO,sf.PACK_CODE,sf.STATUS,sf.EXEC_TMS,sf.MANAGER_ORG_CODE         ,sf.TFR_DATE,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.PACK_TYPE";
        public static final String  Base_Column_List = "ID,PRE_TR_AMT,PRE_TR_CNT,BATCH_NO,PACK_CODE,STATUS,EXEC_TMS,MANAGER_ORG_CODE         ,TFR_DATE,GMT_CREATE,GMT_MODIFIED,PACK_TYPE";
    }
    public static class ABS_PLAN_TRAN_SCREEN_REL{
        public static final String tableName="ABS_PLAN_TRAN_SCREEN_REL";
        public static final String  Base_SF_Column_List = "sf.ID,sf.PLAN_NO,sf.PROD_CODE,sf.TRANSFER_NO,sf.SCREEN_RULE_NO,sf.MANAGER_ORG_CODE         ,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,PLAN_NO,PROD_CODE,TRANSFER_NO,SCREEN_RULE_NO,MANAGER_ORG_CODE         ,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_PLAN_MONITOR_RECORD{
        public static final String tableName="ABS_PLAN_MONITOR_RECORD";
        public static final String  Base_SF_Column_List = "sf.ID,sf.VALUE,sf.MONITOR_ID,sf.EXCESS_VALUE,sf.PLAN_NO          ,sf.INDICATOR,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.MONITOR_NAME";
        public static final String  Base_Column_List = "ID,VALUE,MONITOR_ID,EXCESS_VALUE,PLAN_NO          ,INDICATOR,GMT_CREATE,GMT_MODIFIED,MONITOR_NAME";
    }
    public static class ABS_PLAN_REPORT{
        public static final String tableName="ABS_PLAN_REPORT";
        public static final String  Base_SF_Column_List = "sf.RPT_NO,sf.PLAN_NO,sf.PLAN_NAME,sf.RPT_TYPE,sf.RPT_DATE,sf.GMT_CREATE,sf.RPT_DTL";
        public static final String  Base_Column_List = "RPT_NO,PLAN_NO,PLAN_NAME,RPT_TYPE,RPT_DATE,GMT_CREATE,RPT_DTL";
    }
    public static class ABS_PLAN_CLEARING_LOG{
        public static final String tableName="ABS_PLAN_CLEARING_LOG";
        public static final String  Base_SF_Column_List = "sf.ID,sf.AMT,sf.BIZ_NO,sf.SEQ_NO,sf.PLAN_NO          ,sf.EXEC_TMS,sf.TRANS_CODE,sf.CNT_PTY_CODE,sf.ACCOUNT_DATE";
        public static final String  Base_Column_List = "ID,AMT,BIZ_NO,SEQ_NO,PLAN_NO          ,EXEC_TMS,TRANS_CODE,CNT_PTY_CODE,ACCOUNT_DATE";
    }
    public static class ABS_PLAN_CAPITAL_LOG{
        public static final String tableName="ABS_PLAN_CAPITAL_LOG";
        public static final String  Base_SF_Column_List = "sf.ID,sf.AMT,sf.AFT_BAL,sf.MEMO,sf.BIZ_NO          ,sf.SEQ_NO,sf.PLAN_NO,sf.TRANS_TYPE,sf.ACCOUNT_DATE         ,sf.OUT_BIZ_NO,sf.PLAN_ACCT,sf.GMT_CREATE,sf.TRANS_TIME,sf.CNT_PTY_CODE         ,sf.CNT_PTY_ACCT,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,AMT,AFT_BAL,MEMO,BIZ_NO          ,SEQ_NO,PLAN_NO,TRANS_TYPE,ACCOUNT_DATE         ,OUT_BIZ_NO,PLAN_ACCT,GMT_CREATE,TRANS_TIME,CNT_PTY_CODE         ,CNT_PTY_ACCT,GMT_MODIFIED";
    }
    public static class ABS_LOAN_AST_PROFIT{
        public static final String tableName="ABS_LOAN_AST_PROFIT";
        public static final String  Base_SF_Column_List = "sf.AST_PROFIT_NO,sf.FEE_BAL,sf.TERM_NO,sf.INTR_BAL,sf.RMT_FEE_AMT         ,sf.SRC_TERM_NO,sf.FUND_FEE_AMT,sf.PAID_FEE_AMT,sf.RMT_INTR_AMT,sf.FEE_ENTRY_AMT          ,sf.FEE_PENAL_BAL,sf.FUND_INTR_AMT,sf.PAID_INTR_AMT,sf.INTR_ENTRY_AMT,sf.INTR_PENAL_BAL          ,sf.PRIN_PENAL_BAL,sf.MANAGER_ORG_FEE,sf.RMT_FEE_PENAL_AMT,sf.FUND_FEE_PENAL_AMT,sf.PAID_FEE_PENAL_AMT          ,sf.RMT_INTR_PENAL_AMT,sf.RMT_PRIN_PENAL_AMT,sf.FEE_PENAL_ENTRY_AMT,sf.FUND_INTR_PENAL_AMT,sf.FUND_PRIN_PENAL_AMT          ,sf.PAID_INTR_PENAL_AMT,sf.PAID_PRIN_PENAL_AMT,sf.INTR_PENAL_ENTRY_AMT,sf.PRIN_PENAL_ENTRY_AMT,sf.AST_NO          ,sf.OWN_ORG,sf.EXT_INFO,sf.LOAN_AST_NO,sf.PROFIT_TYPE,sf.SPLIT_ORG_CODE          ,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.LAST_UPDATE_DATE,sf.SPLIT_RATE,sf.FEE_ENTRY_DEC          ,sf.INTR_ENTRY_DEC,sf.FEE_PENAL_ENTRY_DEC,sf.INTR_PENAL_ENTRY_DEC,sf.PRIN_PENAL_ENTRY_DEC         ,sf.OUT_AST_NO,sf.COST_AMT         ,sf.OTHER_FEE_BAL,sf.PAID_OTHER_FEE_AMT,sf.FUND_OTHER_FEE_AMT,sf.OTHER_FEE_ENTRY_AMT,sf.OTHER_FEE_ENTRY_DEC";
        public static final String  Base_Column_List = "AST_PROFIT_NO,FEE_BAL,TERM_NO,INTR_BAL,RMT_FEE_AMT         ,SRC_TERM_NO,FUND_FEE_AMT,PAID_FEE_AMT,RMT_INTR_AMT,FEE_ENTRY_AMT          ,FEE_PENAL_BAL,FUND_INTR_AMT,PAID_INTR_AMT,INTR_ENTRY_AMT,INTR_PENAL_BAL          ,PRIN_PENAL_BAL,MANAGER_ORG_FEE,RMT_FEE_PENAL_AMT,FUND_FEE_PENAL_AMT,PAID_FEE_PENAL_AMT          ,RMT_INTR_PENAL_AMT,RMT_PRIN_PENAL_AMT,FEE_PENAL_ENTRY_AMT,FUND_INTR_PENAL_AMT,FUND_PRIN_PENAL_AMT          ,PAID_INTR_PENAL_AMT,PAID_PRIN_PENAL_AMT,INTR_PENAL_ENTRY_AMT,PRIN_PENAL_ENTRY_AMT,AST_NO          ,OWN_ORG,EXT_INFO,LOAN_AST_NO,PROFIT_TYPE,SPLIT_ORG_CODE          ,GMT_CREATE,GMT_MODIFIED,LAST_UPDATE_DATE,SPLIT_RATE,FEE_ENTRY_DEC          ,INTR_ENTRY_DEC,FEE_PENAL_ENTRY_DEC,INTR_PENAL_ENTRY_DEC,PRIN_PENAL_ENTRY_DEC         ,OUT_AST_NO,COST_AMT         ,OTHER_FEE_BAL,PAID_OTHER_FEE_AMT,FUND_OTHER_FEE_AMT,OTHER_FEE_ENTRY_AMT,OTHER_FEE_ENTRY_DEC";
    }
    public static class ABS_LOAN_CONTRACT{
        public static final String tableName="ABS_LOAN_CONTRACT";
        public static final String  Base_SF_Column_List = "sf.ID,sf.USER_ID,sf.DISB_AMOUNT,sf.CITY,sf.NAME,sf.AST_NO         ,sf.CERT_NO,sf.CONT_NO,sf.PROD_NO,sf.PURPOSE,sf.CERT_TYPE          ,sf.LOAN_TYPE,sf.MOBILE_NO,sf.OUT_AST_NO,sf.PROVINCE,sf.RATE_DAYS          ,sf.RATE_TYPE,sf.APPLY_LOC,sf.OUT_CONT_NO,sf.REPAY_METHOD,sf.LENDER_ORG_CODE          ,sf.MANAGER_ORG_CODE,sf.SPONSER_ORG_CODE,sf.REPAY_PERIOD_TYPE,sf.TERM_CNT,sf.REPAY_PERIOD          ,sf.END_DATE,sf.DISB_DATE,sf.GMT_CREATE,sf.START_DATE,sf.EFFECT_DATE,sf.PNY_RATE,sf.GRANT_TYPE         ,sf.GMT_MODIFIED,sf.RATE";
        public static final String  Base_Column_List = "ID,USER_ID,DISB_AMOUNT,CITY,NAME,AST_NO         ,CERT_NO,CONT_NO,PROD_NO,PURPOSE,CERT_TYPE          ,LOAN_TYPE,MOBILE_NO,OUT_AST_NO,PROVINCE,RATE_DAYS          ,RATE_TYPE,APPLY_LOC,OUT_CONT_NO,REPAY_METHOD,LENDER_ORG_CODE          ,MANAGER_ORG_CODE,SPONSER_ORG_CODE,REPAY_PERIOD_TYPE,TERM_CNT,REPAY_PERIOD          ,END_DATE,DISB_DATE,GMT_CREATE,START_DATE,EFFECT_DATE,PNY_RATE,GRANT_TYPE         ,GMT_MODIFIED,RATE";
    }
    public static class ABS_COMMON_TASK{
        public static final String tableName="ABS_COMMON_TASK";
        public static final String  Base_SF_Column_List = "sf.ID,sf.BIZ_NO,sf.CONTEXT,sf.LAST_HOST,sf.TASK_TYPE,sf.TASK_STATUS,sf.EXEC_TIMES,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.LAST_EXEC_TIME,sf.NEXT_EXEC_TIME,sf.memo,sf.ENV";
        public static final String  Base_Column_List = "ID,BIZ_NO,CONTEXT,LAST_HOST,TASK_TYPE,TASK_STATUS,         EXEC_TIMES,GMT_CREATE,GMT_MODIFIED,LAST_EXEC_TIME,NEXT_EXEC_TIME,memo,ENV";
    }
    public static class ABS_ORGANIZATION_ENTITY{
        public static final String tableName="ABS_ORGANIZATION_ENTITY";
        public static final String  Base_SF_Column_List = "sf.ID         ,sf.ENTITY_CODE         ,sf.PROD_LST         ,sf.NEED_ALLOC         ,sf.STOP_PAY_DATE         ,sf.MANAGER_ORG_CODE";
        public static final String  Base_Column_List = "ID         ,ENTITY_CODE         ,PROD_LST         ,NEED_ALLOC         ,STOP_PAY_DATE         ,MANAGER_ORG_CODE";
    }
    public static class ABS_PLAN_AST{
        public static final String tableName="ABS_PLAN_AST";
        public static final String  Base_SF_Column_List = "sf.CASH,sf.BANK_BAL,sf.ACC_GRANT,sf.PAY_CLEAR,sf.PAY_ON_WAY,sf.CHECK_CASH         ,sf.REPO_CLEAR,sf.REPO_ON_WAY,sf.FROZEN_CASH,sf.LAST_BANK_BAL,sf.PLAN_NO,sf.PLAN_TYPE         ,sf.STATUS,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.LAST_UPDATE_DATE";
        public static final String  Base_Column_List = "CASH,BANK_BAL,ACC_GRANT,PAY_CLEAR,PAY_ON_WAY,CHECK_CASH         ,REPO_CLEAR,REPO_ON_WAY,FROZEN_CASH,LAST_BANK_BAL,PLAN_NO,PLAN_TYPE         ,STATUS,GMT_CREATE,GMT_MODIFIED,LAST_UPDATE_DATE";
    }
    public static class ACT_GE_BYTEARRAY{
        public static final String tableName="ACT_GE_BYTEARRAY";
        public static final String  Base_SF_Column_List = "sf.REV_,sf.GENERATED_,sf.ID_,sf.NAME_,sf.DEPLOYMENT_ID_          ,sf.BYTES_";
        public static final String  Base_Column_List = "REV_,GENERATED_,ID_,NAME_,DEPLOYMENT_ID_          ,BYTES_";
    }
    public static class ABS_PLAN_ACCT_TITLE_LOG{
        public static final String tableName="ABS_PLAN_ACCT_TITLE_LOG";
        public static final String  Base_SF_Column_List = "sf.ID,sf.AF_BAL,sf.BF_BAL,sf.ACCT_AMT,sf.VTAX_AMT         ,sf.BIZ_NO,sf.REF_NO,sf.SEQ_NO,sf.PLAN_NO,sf.TITLE_NO         ,sf.ACCT_EVENT,sf.TITLE_NAME,sf.TITLE_TYPE,sf.GMT_CREATE,sf.ACCOUNT_DATE         ,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,AF_BAL,BF_BAL,ACCT_AMT,VTAX_AMT         ,BIZ_NO,REF_NO,SEQ_NO,PLAN_NO,TITLE_NO         ,ACCT_EVENT,TITLE_NAME,TITLE_TYPE,GMT_CREATE,ACCOUNT_DATE         ,GMT_MODIFIED";
    }
    public static class ABS_SEQUENCE{
        public static final String tableName="ABS_SEQUENCE";
    }
    public static class ABS_PLAN_ACCT_TITLE{
        public static final String tableName="ABS_PLAN_ACCT_TITLE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.BAL,sf.PAY_AMT,sf.RECP_AMT,sf.PAY_VATAX,sf.TOTAL_AMT,sf.ENTRY_AMT,sf.REF_NO         ,sf.INIT_AMT,sf.RECP_VATAX,sf.UPPER_LIMIT,sf.PLAN_NO,sf.TITLE_NO         ,sf.CALC_TYPE,sf.TITLE_NAME,sf.TITLE_TYPE,sf.SCALE_TYPE,sf.GMT_CREATE         ,sf.GMT_MODIFIED,sf.LAST_PAY_DATE,sf.LAST_SETTLE_DATE,sf.RATE         ,sf.FIN_SER_FEE_TYPE,sf.EFFECT_DATE";
        public static final String  Base_Column_List = "ID,BAL,PAY_AMT,RECP_AMT,PAY_VATAX,TOTAL_AMT,ENTRY_AMT,REF_NO         ,INIT_AMT,RECP_VATAX,UPPER_LIMIT,PLAN_NO,TITLE_NO         ,CALC_TYPE,TITLE_NAME,TITLE_TYPE,SCALE_TYPE,GMT_CREATE         ,GMT_MODIFIED,LAST_PAY_DATE,LAST_SETTLE_DATE,RATE         ,FIN_SER_FEE_TYPE,EFFECT_DATE";
    }
    public static class ABS_AST_SYNC_TASK_CTR{
        public static final String tableName="ABS_AST_SYNC_TASK_CTR";
        public static final String  Base_SF_Column_List = "sf.ID,sf.EXT_DATA,sf.ORG_CODE,sf.TASK_CODE,sf.EFF          ,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,EXT_DATA,ORG_CODE,TASK_CODE,EFF          ,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_PLAN_AST_STAT_TASK{
        public static final String tableName="ABS_PLAN_AST_STAT_TASK";
        public static final String  Base_SF_Column_List = "sf.CNT,sf.MAX_ID,sf.MIN_ID,sf.PLAN_NO,sf.STATUS,sf.EXEC_TIMES,sf.NEXT_EXEC_TIME,sf.LAST_EXEC_TIME         ,sf.LAST_EXEC_TMS,sf.GMT_CREATE,sf.ACCOUNT_DATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "CNT,MAX_ID,MIN_ID,PLAN_NO,STATUS,EXEC_TIMES,NEXT_EXEC_TIME,LAST_EXEC_TIME         ,LAST_EXEC_TMS,GMT_CREATE,ACCOUNT_DATE,GMT_MODIFIED";
    }
    public static class ABS_PLAN_CAPITAL_ORDER{
        public static final String tableName="ABS_PLAN_CAPITAL_ORDER";
        public static final String  Base_SF_Column_List = "sf.ID,sf.CFRM_AMT,sf.TRANS_AMT,sf.PAYABLE_AMT,sf.MEMO,sf.BIZ_NO,sf.PROC_TIME,sf.PLAN_ACCT_CHANNEL,sf.CNT_PTY_ACCT_CHANNEL         ,sf.SEQ_NO,sf.PLAN_NO,sf.STATUS,sf.CONTEXT,sf.PLAN_ACCT,sf.CNT_PTY_ACCT_TYPE         ,sf.PLAN_ACCT_TYPE,sf.OUT_ACPT_NO,sf.TRANS_TYPE,sf.CNT_PTY_ACCT,sf.CNT_PTY_CODE         ,sf.OUT_TRANS_NO,sf.CAPITAL_TYPE,sf.PLAN_ACCT_BANK,sf.PLAN_ACCT_CITY,sf.PLAN_ACCT_NAME         ,sf.PLAN_ACCT_PROV,sf.CNT_PTY_ACCT_BANK,sf.CNT_PTY_ACCT_CITY,sf.CNT_PTY_ACCT_NAME,sf.CNT_PTY_ACCT_PROV         ,sf.GMT_CREATE,sf.TRANS_TIME,sf.FINISH_TIME,sf.ACCOUNT_DATE,sf.GMT_MODIFIED,EXEC_TIMES,LAST_EXEC_TIME,NEXT_EXEC_TIME";
        public static final String  Base_Column_List = "ID,CFRM_AMT,TRANS_AMT,PAYABLE_AMT,MEMO,BIZ_NO,PROC_TIME,PLAN_ACCT_CHANNEL,CNT_PTY_ACCT_CHANNEL         ,SEQ_NO,PLAN_NO,STATUS,CONTEXT,PLAN_ACCT,CNT_PTY_ACCT_TYPE         ,PLAN_ACCT_TYPE,OUT_ACPT_NO,TRANS_TYPE,CNT_PTY_ACCT,CNT_PTY_CODE         ,OUT_TRANS_NO,CAPITAL_TYPE,PLAN_ACCT_BANK,PLAN_ACCT_CITY,PLAN_ACCT_NAME         ,PLAN_ACCT_PROV,CNT_PTY_ACCT_BANK,CNT_PTY_ACCT_CITY,CNT_PTY_ACCT_NAME,CNT_PTY_ACCT_PROV         ,GMT_CREATE,TRANS_TIME,FINISH_TIME,ACCOUNT_DATE,GMT_MODIFIED,EXEC_TIMES,LAST_EXEC_TIME,NEXT_EXEC_TIME";
    }
    public static class ABS_JOB_CONTROL{
        public static final String tableName="ABS_JOB_CONTROL";
        public static final String  Base_SF_Column_List = "sf.ID,sf.IS_EFF,sf.JOB_NAME";
        public static final String  Base_Column_List = "ID,IS_EFF,JOB_NAME";
    }
    public static class ABS_LOAN_BAK{
        public static final String tableName="ABS_LOAN_BAK";
        public static final String  Base_SF_Column_List = "sf.COST,sf.FEE_BAL,sf.CUR_TERM,sf.INTR_BAL,sf.OVD_DAYS         ,sf.PRIN_BAL,sf.TERM_CNT,sf.RATE_DAYS,sf.OVD_FEE_BAL,sf.AST_OVD_DAYS         ,sf.OVD_INTR_BAL,sf.OVD_PRIN_BAL,sf.PAID_FEE_AMT,sf.FEE_PENAL_BAL,sf.OTHER_FEE_BAL         ,sf.PAID_INTR_AMT,sf.PAID_PRIN_AMT,sf.INTR_PENAL_BAL,sf.PRIN_PENAL_BAL,sf.PAID_FEE_PENAL_AMT         ,sf.PAID_OTHER_FEE_AMT,sf.OTHER_FEE_PENAL_BAL,sf.PAID_INTR_PENAL_AMT,sf.PAID_PRIN_PENAL_AMT,sf.PAID_OTHER_FEE_PENAL_AMT         ,sf.AST_NO,sf.CERT_NO,sf.OWN_ORG,sf.PROD_NO,sf.RISK_CL         ,sf.STATUS,sf.AST_STATUS,sf.USER_ID,sf.OWN_PACK,sf.OUT_AST_NO,sf.OUT_PROD_NO         ,sf.OWN_STATUS,sf.WTF_STATUS,sf.CONTRACT_NO,sf.LAST_OWN_ORG,sf.LENDER_ORG_CODE         ,sf.MANAGER_ORG_CODE,sf.SPONSER_ORG_CODE,sf.IN_DATE,sf.BAK_DATE,sf.END_DATE         ,sf.DISB_DATE,sf.CLEAR_DATE,sf.GMT_CREATE,sf.START_DATE,sf.GMT_MODIFIED         ,sf.LAST_UPDATE_DATE,sf.RATE,sf.RATE_TYPE,sf.CAPITAL_NO,sf.LAYER_NAME,sf.EXT_INF";
        public static final String  Base_Column_List = "COST,FEE_BAL,CUR_TERM,INTR_BAL,OVD_DAYS         ,PRIN_BAL,TERM_CNT,RATE_DAYS,OVD_FEE_BAL,AST_OVD_DAYS         ,OVD_INTR_BAL,OVD_PRIN_BAL,PAID_FEE_AMT,FEE_PENAL_BAL,OTHER_FEE_BAL         ,PAID_INTR_AMT,PAID_PRIN_AMT,INTR_PENAL_BAL,PRIN_PENAL_BAL,PAID_FEE_PENAL_AMT         ,PAID_OTHER_FEE_AMT,OTHER_FEE_PENAL_BAL,PAID_INTR_PENAL_AMT,PAID_PRIN_PENAL_AMT,PAID_OTHER_FEE_PENAL_AMT         ,AST_NO,CERT_NO,OWN_ORG,PROD_NO,RISK_CL         ,STATUS,AST_STATUS,USER_ID,OWN_PACK,OUT_AST_NO,OUT_PROD_NO         ,OWN_STATUS,WTF_STATUS,CONTRACT_NO,LAST_OWN_ORG,LENDER_ORG_CODE         ,MANAGER_ORG_CODE,SPONSER_ORG_CODE,IN_DATE,BAK_DATE,END_DATE         ,DISB_DATE,CLEAR_DATE,GMT_CREATE,START_DATE,GMT_MODIFIED         ,LAST_UPDATE_DATE,RATE,RATE_TYPE,CAPITAL_NO,LAYER_NAME,EXT_INF";
        public static final String  Stat_Disb_Column_List = "min(tt1.BAL) as MIN_BAL,         max(tt1.BAL) as MAX_BAL,         CAST(avg(tt1.BAL) AS DECIMAL(19,0)) as AVG_BAL,         min(tt1.CONT_AMT) as MIN_CONT_AMT,         max(tt1.CONT_AMT) as MAX_CONT_AMT,         CAST(avg(tt1.CONT_AMT) AS DECIMAL(19,0))  as AVG_CONT_AMT,         min(tt1.RATE) as MIN_RATE,         max(tt1.RATE) as MAX_RATE,         avg(tt1.RATE) as AVG_RATE,         DECODE(sum(tt1.BAL), 0, 0, sum(tt1.RATE * tt1.BAL) / sum(tt1.BAL)) as WAVG_RATE,         min(tt1.CONT_PERIOD) as MIN_CONT_PERIOD,         max(tt1.CONT_PERIOD) as MAX_CONT_PERIOD,         avg(tt1.CONT_PERIOD) as AVG_CONT_PERIOD,         DECODE(sum(tt1.BAL), 0, 0, sum(tt1.CONT_PERIOD * tt1.BAL) / sum(tt1.BAL)) as WAVG_CONT_PERIOD,         min(tt1.REM_PERIOD) as MIN_REM_PERIOD,         max(tt1.REM_PERIOD) as MAX_REM_PERIOD,         DECODE(sum(tt1.REM_SIGN), 0, 0, sum(tt1.REM_PERIOD) / sum(tt1.REM_SIGN)) as AVG_REM_PERIOD,         DECODE(sum(tt1.BAL * tt1.REM_SIGN), 0, 0, sum(tt1.REM_PERIOD * tt1.BAL) / sum(tt1.BAL * tt1.REM_SIGN)) as WAVG_REM_PERIOD,         min(tt1.ACCT_PERIOD) as MIN_ACCT_PERIOD,         max(tt1.ACCT_PERIOD) as MAX_ACCT_PERIOD,         avg(tt1.ACCT_PERIOD) as AVG_ACCT_PERIOD,         DECODE(sum(tt1.BAL), 0, 0, sum(tt1.ACCT_PERIOD * tt1.BAL) / sum(tt1.BAL)) as WAVG_ACCT_PERIOD";
    }
    public static class ABS_PLAN_MONITOR{
        public static final String tableName="ABS_PLAN_MONITOR";
        public static final String  Base_SF_Column_List = "sf.ID,sf.PLAN_NO,sf.INDICATOR,sf.NAME,sf.VALUE          ,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,PLAN_NO,INDICATOR,NAME,VALUE          ,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_PLAN_INVEST_STRUCTURE{
        public static final String tableName="ABS_PLAN_INVEST_STRUCTURE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.LAYER_AMT,sf.PLAN_NO,sf.LAYER_NO,sf.INTR_TYPE          ,sf.LAYER_NAME,sf.LAYER_TYPE,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.LAYER_END_DATE         ,sf.LAYER_INTR,sf.EFFECT_DATE";
        public static final String  Base_Column_List = "ID,LAYER_AMT,PLAN_NO,LAYER_NO,INTR_TYPE          ,LAYER_NAME,LAYER_TYPE,GMT_CREATE,GMT_MODIFIED,LAYER_END_DATE         ,LAYER_INTR,EFFECT_DATE";
    }
    public static class ABS_PLAN_TASK_LOG{
        public static final String tableName="ABS_PLAN_TASK_LOG";
        public static final String  Base_SF_Column_List = "sf.ID,sf.PLAN_NO,sf.TASK_TYPE,sf.EXEC_DATE,sf.GMT_CREATE          ,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,PLAN_NO,TASK_TYPE,EXEC_DATE,GMT_CREATE          ,GMT_MODIFIED";
    }
    public static class ABS_AST_POOL{
        public static final String tableName="ABS_AST_POOL";
        public static final String  Base_SF_Column_List = "sf.ID,sf.MANAGER_ORG_CODE,sf.AST_NO,         sf.TERM_NO,sf.END_DATE,sf.START_DATE,         sf.GMT_CREATE,sf.GMT_MODIFIED,sf.CONTEXT,sf.BIZ_DATE         ,sf.OWN_ORG,sf.SLICE";
        public static final String  Base_Column_List = "ID,MANAGER_ORG_CODE,AST_NO,         TERM_NO,END_DATE,START_DATE,         GMT_CREATE,GMT_MODIFIED,CONTEXT,OWN_ORG,SLICE";
    }
    public static class ABS_BIZ_DATA_CHANGE{
        public static final String tableName="ABS_BIZ_DATA_CHANGE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.DATAS,sf.NAME,sf.BIZ_NO,sf.BIZ_TYPE          ,sf.CHANGE_NO,sf.APPROVE_STATUS,sf.GMT_CREATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,DATAS,NAME,BIZ_NO,BIZ_TYPE          ,CHANGE_NO,APPROVE_STATUS,GMT_CREATE,GMT_MODIFIED";
    }
    public static class ABS_LOAN_AST{
        public static final String tableName="ABS_LOAN_AST";
        public static final String  Base_SF_Column_List = "sf.TERM_NO,sf.COST_AMT,sf.PRIN_BAL,sf.PAID_PRIN_AMT,sf.AST_NO          ,sf.EXT_INF,sf.OWN_ORG,sf.PROD_NO,sf.USER_ID         ,sf.IN_AST_NO,sf.IN_RULE,sf.OWN_PACK,sf.OUT_AST_NO,sf.AST_STATUS,sf.CLEAR_EVNT         ,sf.LOAN_AST_NO,sf.OUT_PROD_NO,sf.AST_PRICE_TYPE,sf.LENDER_ORG_CODE,sf.IN_DATE          ,sf.CLEAR_DATE,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.LAST_UPDATE_DATE,sf.AST_PRICE";
        public static final String  Base_Column_List = "TERM_NO,COST_AMT,PRIN_BAL,PAID_PRIN_AMT,AST_NO          ,EXT_INF,OWN_ORG,PROD_NO,USER_ID         ,IN_AST_NO,IN_RULE,OWN_PACK,OUT_AST_NO,AST_STATUS,CLEAR_EVNT         ,LOAN_AST_NO,OUT_PROD_NO,AST_PRICE_TYPE,LENDER_ORG_CODE,IN_DATE          ,CLEAR_DATE,GMT_CREATE,GMT_MODIFIED,LAST_UPDATE_DATE,AST_PRICE";
    }
    public static class ABS_AST_PACK{
        public static final String tableName="ABS_AST_PACK";
        public static final String  Base_SF_Column_List = "sf.ID, sf.PLAN_NO, sf.AVAL_AMT,sf.PACK_CODE,sf.PACK_NAME,sf.PACK_STATUS,sf.MAX_END_DATE,sf.MIN_END_DATE,sf.TRANS_RULE,sf.DYM_RULE,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.SCEN_DATE,CALC_INTR_TYPE,sf.MANAGER_ORG_CODE,sf.ABSSQR_PROD_CODE,sf.BACK_OUT_CODE,sf.APPROVE_STATUS,sf.APPROVE_DATE,sf.MEMO,sf.PACK_TYPE";
        public static final String  Base_Column_List = "ID, PLAN_NO, AVAL_AMT,  PACK_CODE, PACK_NAME, PACK_STATUS, MAX_END_DATE,  MIN_END_DATE, TRANS_RULE, DYM_RULE, GMT_CREATE, GMT_MODIFIED, SCEN_DATE,CALC_INTR_TYPE, MANAGER_ORG_CODE, ROWNUM RN,         ABSSQR_PROD_CODE,BACK_OUT_CODE,APPROVE_STATUS,APPROVE_DATE,MEMO,PACK_TYPE";
    }
    public static class ABS_PLAN_REPORT_ITEM{
        public static final String tableName="ABS_PLAN_REPORT_ITEM";
        public static final String  Base_SF_Column_List = "sf.ID,sf.AMT,sf.AST_CNT,sf.RPT_NO,sf.PLAN_NO,sf.RPT_ITEM_NAME         ,sf.RPT_ITEM,sf.ACCOUNT_DATE";
        public static final String  Base_Column_List = "ID,AMT,AST_CNT,RPT_NO,PLAN_NO,RPT_ITEM_NAME         ,RPT_ITEM,ACCOUNT_DATE";
    }
    public static class ABS_PLAN_REPORT_ENTITY{
        public static final String tableName="ABS_PLAN_REPORT_ENTITY";
        public static final String  Base_SF_Column_List = "sf.SIGN,sf.AST_CHG,sf.FEE_AMT,sf.INTR_AMT,sf.RPT_DIM         ,sf.PRIN_AMT,sf.FEE_PENAL_AMT,sf.OVD_FEE_AMT,sf.INTR_PENAL_AMT,sf.OVD_INTR_AMT          ,sf.OVD_PRIN_AMT,sf.PRIN_PENAL_AMT,sf.AST_NO,sf.PLAN_NO,sf.USER_ID          ,sf.STAT_VAL,sf.STAT_TYPE,sf.EVENT_CODE,sf.ACCOUNT_DATE,sf.COST,sf.ORG_DISTPFT_AMT,sf.OTHER_FEE_AMT,sf.OTHER_FEE_PENAL_AMT";
        public static final String  Stat_Bal_Column_List = "PLAN_NO,         STAT_TYPE,         STAT_VAL,         ACCOUNT_DATE,         SUM(AST_CHG * SIGN) as AST_CHG,         SUM(PRIN_AMT * SIGN) as PRIN_AMT,         SUM(OVD_PRIN_AMT * SIGN) as OVD_PRIN_AMT,         SUM(INTR_AMT * SIGN) as INTR_AMT,         SUM(OVD_INTR_AMT * SIGN) as OVD_INTR_AMT,         SUM(FEE_AMT * SIGN) as FEE_AMT,         SUM(OVD_FEE_AMT * SIGN) as OVD_FEE_AMT,         SUM(PRIN_PENAL_AMT * SIGN) as PRIN_PENAL_AMT,         SUM(INTR_PENAL_AMT * SIGN) as INTR_PENAL_AMT,         SUM(FEE_PENAL_AMT * SIGN) as FEE_PENAL_AMT,         SUM(ORG_DISTPFT_AMT * SIGN) as ORG_DISTPFT_AMT,         SUM(OTHER_FEE_AMT * SIGN) as OTHER_FEE_AMT,         SUM(OTHER_FEE_PENAL_AMT * SIGN) as OTHER_FEE_PENAL_AMT,         SUM(nvl(COST,0) * SIGN) as COST";
        public static final String  Base_Column_List = "SIGN,AST_CHG,FEE_AMT,INTR_AMT,RPT_DIM         ,PRIN_AMT,FEE_PENAL_AMT,OVD_FEE_AMT,INTR_PENAL_AMT,OVD_INTR_AMT          ,OVD_PRIN_AMT,PRIN_PENAL_AMT,AST_NO,PLAN_NO,USER_ID          ,STAT_VAL,STAT_TYPE,EVENT_CODE,ACCOUNT_DATE,COST,ORG_DISTPFT_AMT,OTHER_FEE_AMT,OTHER_FEE_PENAL_AMT";
    }
    public static class ABS_PLAN_ALLOC{
        public static final String tableName="ABS_PLAN_ALLOC";
        public static final String  Base_SF_Column_List = "sf.ID,sf.ALLOC_NO,sf.PAY_DATE,sf.CLEAR_DATE,sf.GMT_CREATE          ,sf.GMT_MODIFIED,sf.ALLOC_AMT,sf.PLAN_NO,sf.STATUS         ,sf.APPROVE_STATUS,sf.PLAN_TYPE";
        public static final String  Base_Column_List = "ID,ALLOC_NO,PAY_DATE,CLEAR_DATE,GMT_CREATE          ,GMT_MODIFIED,ALLOC_AMT,PLAN_NO,STATUS,APPROVE_STATUS         ,PLAN_TYPE";
    }
    public static class ABS_LOAN_INSTAL{
        public static final String tableName="ABS_LOAN_INSTAL";
        public static final String  Base_SF_Column_List = "sf.USER_ID,sf.FEE_BAL,sf.INTR_BAL,sf.PRIN_BAL,sf.DUE_FEE_AMT         ,sf.RMT_FEE_AMT,sf.DUE_INTR_AMT,sf.PAID_FEE_AMT,sf.RMT_INTR_AMT,sf.FEE_PENAL_BAL          ,sf.PAID_INTR_AMT,sf.PAID_PRIN_AMT,sf.INTR_PENAL_BAL,sf.PRIN_PENAL_BAL,sf.RMT_FEE_PENAL_AMT          ,sf.PAID_FEE_PENAL_AMT,sf.RMT_INTR_PENAL_AMT,sf.RMT_PRIN_PENAL_AMT,sf.PAID_INTR_PENAL_AMT,sf.PAID_PRIN_PENAL_AMT          ,sf.AST_NO,sf.EXT_INF,sf.OWN_ORG,sf.PROD_NO,sf.STATUS          ,sf.OWN_PACK,sf.OUT_AST_NO,sf.OUT_PROD_NO,sf.CONTRACT_NO,sf.LAST_OWN_ORG          ,sf.LENDER_ORG_CODE,sf.MANAGER_ORG_CODE,sf.SPONSER_ORG_CODE,sf.TERM_NO,sf.OVD_DAYS, sf.GRACE_END_DATE, sf.IN_DATE         ,sf.END_DATE,sf.CLEAR_DATE,sf.GMT_CREATE,sf.START_DATE,sf.GMT_MODIFIED,sf.OWN_STATUS,sf.HANG_INTR_BAL,sf.COST         ,sf.PAID_PRIN_FUND_AMT,sf.PAID_PRIN_PENAL_FUND_AMT,sf.PAID_INTR_FUND_AMT,sf.PAID_INTR_PENAL_FUND_AMT,sf.PAID_FEE_FUND_AMT,sf.PAID_FEE_PENAL_FUND_AMT         ,sf.LAST_UPDATE_DATE         ,sf.PAID_HANG_INTR_AMT         ,sf.OTHER_FEE_BAL,sf.PAID_OTHER_FEE_AMT,sf.PAID_OTHER_FEE_FUND_AMT";
        public static final String  Base_Column_List = "USER_ID,FEE_BAL,INTR_BAL,PRIN_BAL,DUE_FEE_AMT         ,RMT_FEE_AMT,DUE_INTR_AMT,PAID_FEE_AMT,RMT_INTR_AMT,FEE_PENAL_BAL          ,PAID_INTR_AMT,PAID_PRIN_AMT,INTR_PENAL_BAL,PRIN_PENAL_BAL,RMT_FEE_PENAL_AMT          ,PAID_FEE_PENAL_AMT,RMT_INTR_PENAL_AMT,RMT_PRIN_PENAL_AMT,PAID_INTR_PENAL_AMT,PAID_PRIN_PENAL_AMT          ,AST_NO,EXT_INF,OWN_ORG,PROD_NO,STATUS          ,OWN_PACK,OUT_AST_NO,OUT_PROD_NO,CONTRACT_NO,LAST_OWN_ORG          ,LENDER_ORG_CODE,MANAGER_ORG_CODE,SPONSER_ORG_CODE,TERM_NO,OVD_DAYS, GRACE_END_DATE, IN_DATE         ,END_DATE,CLEAR_DATE,GMT_CREATE,START_DATE,GMT_MODIFIED,OWN_STATUS,HANG_INTR_BAL,COST         ,PAID_PRIN_FUND_AMT,PAID_PRIN_PENAL_FUND_AMT,PAID_INTR_FUND_AMT,PAID_INTR_PENAL_FUND_AMT,PAID_FEE_FUND_AMT,PAID_FEE_PENAL_FUND_AMT         ,LAST_UPDATE_DATE         ,PAID_HANG_INTR_AMT         ,OTHER_FEE_BAL,PAID_OTHER_FEE_AMT,PAID_OTHER_FEE_FUND_AMT";
    }
    public static class ABS_PRODUCT{
        public static final String tableName="ABS_PRODUCT";
        public static final String  Base_SF_Column_List = "sf.ID, sf.PROD_CODE, sf.PROD_NAME, sf.ABSSQR_PROD_CODE,         sf.MANAGER_ORG_CODE, sf.APPROVE_STATUS, sf.GMT_CREATE, sf.GMT_MODIFIED         ,sf.GMT_CREATOR,sf.GMT_MODIFIER";
        public static final String  Base_Column_List = "ID, PROD_CODE, PROD_NAME, ABSSQR_PROD_CODE,         MANAGER_ORG_CODE, APPROVE_STATUS, GMT_CREATE, GMT_MODIFIED         ,GMT_CREATOR,GMT_MODIFIER";
    }
    public static class ABS_PLAN{
        public static final String tableName="ABS_PLAN";
        public static final String  Base_SF_Column_List = "sf.ID,sf.LAST_UPDATE_DATE,sf.TOTAL_AMT,sf.PLAN_NO,sf.STATUS         ,sf.CREATOR,sf.FUND_TYPE,sf.MODIFIER,sf.PLAN_NAME,sf.APPROVE_STATUS         ,sf.PLAN_MGR_ORG_CODE,sf.SPONSOR_ORG_CODE,sf.END_DATE         ,sf.BEGIN_DATE,sf.GMT_CREATE,sf.EFFECT_DATE,sf.GMT_MODIFIED         ,sf.FIRST_PAY_DATE,sf.INIT_CALC_DATE,sf.FIRST_CLEAR_DATE         ,sf.PAY_FREQ,sf.CALC_INTR_TYPE,sf.VAT_RATE,sf.GMT_CREATOR,sf.GMT_MODIFIER         ,sf.PASSED,sf.PLAN_TYPE,sf.PRICE_TYPE，sf.FIN_SER_FEE_RATE";
        public static final String  Base_Column_List = "ID,LAST_UPDATE_DATE,TOTAL_AMT,PLAN_NO,STATUS         ,CREATOR,FUND_TYPE,MODIFIER,PLAN_NAME,APPROVE_STATUS         ,PLAN_MGR_ORG_CODE,SPONSOR_ORG_CODE,END_DATE         ,BEGIN_DATE,GMT_CREATE,EFFECT_DATE,GMT_MODIFIED         ,FIRST_PAY_DATE,INIT_CALC_DATE,FIRST_CLEAR_DATE         ,PAY_FREQ,CALC_INTR_TYPE,VAT_RATE,GMT_CREATOR,GMT_MODIFIER         ,PASSED,PLAN_TYPE,PRICE_TYPE,FIN_SER_FEE_RATE";
    }
    public static class ABS_PRODUCT_RISK_CL{
        public static final String tableName="ABS_PRODUCT_RISK_CL";
        public static final String  Base_SF_Column_List = "sf.ID,sf.RISK_CL,sf.ABSSQR_PROD_CODE,sf.OVD_DAYS,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.PROV";
        public static final String  Base_Column_List = "ID,RISK_CL,ABSSQR_PROD_CODE,OVD_DAYS,GMT_CREATE,GMT_MODIFIED,PROV";
    }
    public static class ABS_PLAN_FUND_FILE{
        public static final String tableName="ABS_PLAN_FUND_FILE";
        public static final String  Base_SF_Column_List = "sf.ID,sf.FILE_ID,sf.PLAN_NO,sf.FILE_MD5,sf.FILE_NAME          ,sf.FILE_PATH,sf.UPLOAD_TYPE,sf.GMT_CREATE,sf.UPLOAD_DATE,sf.GMT_MODIFIED";
        public static final String  Base_Column_List = "ID,FILE_ID,PLAN_NO,FILE_MD5,FILE_NAME          ,FILE_PATH,UPLOAD_TYPE,GMT_CREATE,UPLOAD_DATE,GMT_MODIFIED";
    }
    public static class ABS_ACCOUNT{
        public static final String tableName="ABS_ACCOUNT";
        public static final String  Base_SF_Column_List = "sf.ID,sf.MEMO,sf.ACT_NO,sf.ACT_ATTR,sf.ACT_BANK          ,sf.ACT_CITY,sf.ACT_NAME,sf.ACT_PROV,sf.ACT_TYPE,sf.ENTITY_CODE          ,sf.GMT_CREATE,sf.GMT_MODIFIED,sf.CHANNEL_NO";
        public static final String  Base_Column_List = "ID,MEMO,ACT_NO,ACT_ATTR,ACT_BANK          ,ACT_CITY,ACT_NAME,ACT_PROV,ACT_TYPE,ENTITY_CODE          ,GMT_CREATE,GMT_MODIFIED,CHANNEL_NO";
    }
}