package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 分配事项
 */
public class PlanAllocItemDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * trialAmt 试算金额.
     */
    private Long trialAmt;
    /**
     * settleAmt 已结金额.
     */
    private Long settleAmt;
    /**
     * confirmAmt 确认金额.
     */
    private Long confirmAmt;
    /**
     * trialTaxAmt 试算增值税.
     */
    private Long trialTaxAmt;
    /**
     * confirmTaxAmt 确认增值税.
     */
    private Long confirmTaxAmt;
    /**
     * itemNo 事项编号.
     */
    private String itemNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * allocNo 分配编号.
     */
    private String allocNo;
    /**
     * titleNo 科目编号.
     */
    private String titleNo;
    /**
     * tax 是否计税.
     */
    private Boolean tax;
    /**
     * sort 排序.
     */
    private Integer sort;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set trialAmt 试算金额.
     */
    public void setTrialAmt(Long trialAmt){
        this.trialAmt = trialAmt;
    }

    /**
     * Get trialAmt 试算金额.
     *
     * @return the string
     */
    public Long getTrialAmt(){
        return trialAmt;
    }

    /**
     * Set settleAmt 已结金额.
     */
    public void setSettleAmt(Long settleAmt){
        this.settleAmt = settleAmt;
    }

    /**
     * Get settleAmt 已结金额.
     *
     * @return the string
     */
    public Long getSettleAmt(){
        return settleAmt;
    }

    /**
     * Set confirmAmt 确认金额.
     */
    public void setConfirmAmt(Long confirmAmt){
        this.confirmAmt = confirmAmt;
    }

    /**
     * Get confirmAmt 确认金额.
     *
     * @return the string
     */
    public Long getConfirmAmt(){
        return confirmAmt;
    }

    /**
     * Set trialTaxAmt 试算增值税.
     */
    public void setTrialTaxAmt(Long trialTaxAmt){
        this.trialTaxAmt = trialTaxAmt;
    }

    /**
     * Get trialTaxAmt 试算增值税.
     *
     * @return the string
     */
    public Long getTrialTaxAmt(){
        return trialTaxAmt;
    }

    /**
     * Set confirmTaxAmt 确认增值税.
     */
    public void setConfirmTaxAmt(Long confirmTaxAmt){
        this.confirmTaxAmt = confirmTaxAmt;
    }

    /**
     * Get confirmTaxAmt 确认增值税.
     *
     * @return the string
     */
    public Long getConfirmTaxAmt(){
        return confirmTaxAmt;
    }

    /**
     * Set itemNo 事项编号.
     */
    public void setItemNo(String itemNo){
        this.itemNo = itemNo;
    }

    /**
     * Get itemNo 事项编号.
     *
     * @return the string
     */
    public String getItemNo(){
        return itemNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set allocNo 分配编号.
     */
    public void setAllocNo(String allocNo){
        this.allocNo = allocNo;
    }

    /**
     * Get allocNo 分配编号.
     *
     * @return the string
     */
    public String getAllocNo(){
        return allocNo;
    }

    /**
     * Set titleNo 科目编号.
     */
    public void setTitleNo(String titleNo){
        this.titleNo = titleNo;
    }

    /**
     * Get titleNo 科目编号.
     *
     * @return the string
     */
    public String getTitleNo(){
        return titleNo;
    }

    /**
     * Set tax 是否计税.
     */
    public void setTax(Boolean tax){
        this.tax = tax;
    }

    /**
     * Get tax 是否计税.
     *
     * @return the string
     */
    public Boolean getTax(){
        return tax;
    }

    /**
     * Set sort 排序.
     */
    public void setSort(Integer sort){
        this.sort = sort;
    }

    /**
     * Get sort 排序.
     *
     * @return the string
     */
    public Integer getSort(){
        return sort;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
