package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table ABS_PLAN_REPORT_ENTITY_STAT
 */
public class PlanReportEntityStatDO{

    /**
     * astChg .
     */
    private Long astChg;
    /**
     * planNo .
     */
    private String planNo;
    /**
     * statVal .
     */
    private String statVal;
    /**
     * statType .
     */
    private String statType;
    /**
     * eventCode .
     */
    private String eventCode;
    /**
     * accountDate .
     */
    private Date accountDate;
    /**
     * cost .
     */
    private Money cost;
    /**
     * feeAmt .
     */
    private Money feeAmt;
    /**
     * intrAmt .
     */
    private Money intrAmt;
    /**
     * prinAmt .
     */
    private Money prinAmt;
    /**
     * ovdFeeAmt .
     */
    private Money ovdFeeAmt;
    /**
     * ovdIntrAmt .
     */
    private Money ovdIntrAmt;
    /**
     * ovdPrinAmt .
     */
    private Money ovdPrinAmt;
    /**
     * feePenalAmt .
     */
    private Money feePenalAmt;
    /**
     * intrPenalAmt .
     */
    private Money intrPenalAmt;
    /**
     * prinPenalAmt .
     */
    private Money prinPenalAmt;
    /**
     * orgDistpftAmt 金融服务费.
     */
    private Money orgDistpftAmt;

    /**
     * Set astChg .
     */
    public void setAstChg(Long astChg){
        this.astChg = astChg;
    }

    /**
     * Get astChg .
     *
     * @return the string
     */
    public Long getAstChg(){
        return astChg;
    }

    /**
     * Set planNo .
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo .
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set statVal .
     */
    public void setStatVal(String statVal){
        this.statVal = statVal;
    }

    /**
     * Get statVal .
     *
     * @return the string
     */
    public String getStatVal(){
        return statVal;
    }

    /**
     * Set statType .
     */
    public void setStatType(String statType){
        this.statType = statType;
    }

    /**
     * Get statType .
     *
     * @return the string
     */
    public String getStatType(){
        return statType;
    }

    /**
     * Set eventCode .
     */
    public void setEventCode(String eventCode){
        this.eventCode = eventCode;
    }

    /**
     * Get eventCode .
     *
     * @return the string
     */
    public String getEventCode(){
        return eventCode;
    }

    /**
     * Set accountDate .
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate .
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set cost .
     */
    public void setCost(Money cost){
        this.cost = cost;
    }

    /**
     * Get cost .
     *
     * @return the string
     */
    public Money getCost(){
        if(cost==null){
            return new Money();
        }
        return cost;
    }

    /**
     * Set feeAmt .
     */
    public void setFeeAmt(Money feeAmt){
        this.feeAmt = feeAmt;
    }

    /**
     * Get feeAmt .
     *
     * @return the string
     */
    public Money getFeeAmt(){
        if(feeAmt==null){
            return new Money();
        }
        return feeAmt;
    }

    /**
     * Set intrAmt .
     */
    public void setIntrAmt(Money intrAmt){
        this.intrAmt = intrAmt;
    }

    /**
     * Get intrAmt .
     *
     * @return the string
     */
    public Money getIntrAmt(){
        if(intrAmt==null){
            return new Money();
        }
        return intrAmt;
    }

    /**
     * Set prinAmt .
     */
    public void setPrinAmt(Money prinAmt){
        this.prinAmt = prinAmt;
    }

    /**
     * Get prinAmt .
     *
     * @return the string
     */
    public Money getPrinAmt(){
        if(prinAmt==null){
            return new Money();
        }
        return prinAmt;
    }

    /**
     * Set ovdFeeAmt .
     */
    public void setOvdFeeAmt(Money ovdFeeAmt){
        this.ovdFeeAmt = ovdFeeAmt;
    }

    /**
     * Get ovdFeeAmt .
     *
     * @return the string
     */
    public Money getOvdFeeAmt(){
        if(ovdFeeAmt==null){
            return new Money();
        }
        return ovdFeeAmt;
    }

    /**
     * Set ovdIntrAmt .
     */
    public void setOvdIntrAmt(Money ovdIntrAmt){
        this.ovdIntrAmt = ovdIntrAmt;
    }

    /**
     * Get ovdIntrAmt .
     *
     * @return the string
     */
    public Money getOvdIntrAmt(){
        if(ovdIntrAmt==null){
            return new Money();
        }
        return ovdIntrAmt;
    }

    /**
     * Set ovdPrinAmt .
     */
    public void setOvdPrinAmt(Money ovdPrinAmt){
        this.ovdPrinAmt = ovdPrinAmt;
    }

    /**
     * Get ovdPrinAmt .
     *
     * @return the string
     */
    public Money getOvdPrinAmt(){
        if(ovdPrinAmt==null){
            return new Money();
        }
        return ovdPrinAmt;
    }

    /**
     * Set feePenalAmt .
     */
    public void setFeePenalAmt(Money feePenalAmt){
        this.feePenalAmt = feePenalAmt;
    }

    /**
     * Get feePenalAmt .
     *
     * @return the string
     */
    public Money getFeePenalAmt(){
        if(feePenalAmt==null){
            return new Money();
        }
        return feePenalAmt;
    }

    /**
     * Set intrPenalAmt .
     */
    public void setIntrPenalAmt(Money intrPenalAmt){
        this.intrPenalAmt = intrPenalAmt;
    }

    /**
     * Get intrPenalAmt .
     *
     * @return the string
     */
    public Money getIntrPenalAmt(){
        if(intrPenalAmt==null){
            return new Money();
        }
        return intrPenalAmt;
    }

    /**
     * Set prinPenalAmt .
     */
    public void setPrinPenalAmt(Money prinPenalAmt){
        this.prinPenalAmt = prinPenalAmt;
    }

    /**
     * Get prinPenalAmt .
     *
     * @return the string
     */
    public Money getPrinPenalAmt(){
        if(prinPenalAmt==null){
            return new Money();
        }
        return prinPenalAmt;
    }

    /**
     * Set orgDistpftAmt 金融服务费.
     */
    public void setOrgDistpftAmt(Money orgDistpftAmt){
        this.orgDistpftAmt = orgDistpftAmt;
    }

    /**
     * Get orgDistpftAmt 金融服务费.
     *
     * @return the string
     */
    public Money getOrgDistpftAmt(){
        if(orgDistpftAmt==null){
            return new Money();
        }
        return orgDistpftAmt;
    }
}
