package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 转让规则
 */
public class PlanTransferRuleDO{

    /**
     * id .
     */
    private Long id;
    /**
     * resAmt 预留金额.
     */
    private Long resAmt;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * trCycle 转让周期  D 日  W 周  M 月  Q  季  Y 年.
     */
    private String trCycle;
    /**
     * transferNo 转让规则.
     */
    private String transferNo;
    /**
     * cycle 是否循环注水.
     */
    private Boolean cycle;
    /**
     * slice 是否切片.
     */
    private Boolean slice;
    /**
     * stopTrDate 停止转让日 持续购买终止日.
     */
    private Date stopTrDate;
    /**
     * startTrDate 开始转让日 持续购买开始日.
     */
    private Date startTrDate;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set resAmt 预留金额.
     */
    public void setResAmt(Long resAmt){
        this.resAmt = resAmt;
    }

    /**
     * Get resAmt 预留金额.
     *
     * @return the string
     */
    public Long getResAmt(){
        return resAmt;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set trCycle 转让周期  D 日  W 周  M 月  Q  季  Y 年.
     */
    public void setTrCycle(String trCycle){
        this.trCycle = trCycle;
    }

    /**
     * Get trCycle 转让周期  D 日  W 周  M 月  Q  季  Y 年.
     *
     * @return the string
     */
    public String getTrCycle(){
        return trCycle;
    }

    /**
     * Set transferNo 转让规则.
     */
    public void setTransferNo(String transferNo){
        this.transferNo = transferNo;
    }

    /**
     * Get transferNo 转让规则.
     *
     * @return the string
     */
    public String getTransferNo(){
        return transferNo;
    }

    /**
     * Set cycle 是否循环注水.
     */
    public void setCycle(Boolean cycle){
        this.cycle = cycle;
    }

    /**
     * Get cycle 是否循环注水.
     *
     * @return the string
     */
    public Boolean getCycle(){
        return cycle;
    }

    /**
     * Set slice 是否切片.
     */
    public void setSlice(Boolean slice){
        this.slice = slice;
    }

    /**
     * Get slice 是否切片.
     *
     * @return the string
     */
    public Boolean getSlice(){
        return slice;
    }

    /**
     * Set stopTrDate 停止转让日 持续购买终止日.
     */
    public void setStopTrDate(Date stopTrDate){
        this.stopTrDate = stopTrDate;
    }

    /**
     * Get stopTrDate 停止转让日 持续购买终止日.
     *
     * @return the string
     */
    public Date getStopTrDate(){
        return stopTrDate;
    }

    /**
     * Set startTrDate 开始转让日 持续购买开始日.
     */
    public void setStartTrDate(Date startTrDate){
        this.startTrDate = startTrDate;
    }

    /**
     * Get startTrDate 开始转让日 持续购买开始日.
     *
     * @return the string
     */
    public Date getStartTrDate(){
        return startTrDate;
    }
}
