package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 产品表
 */
public class ProductDO{

    /**
     * id .
     */
    private Long id;
    /**
     * prodCode 外部产品码.
     */
    private String prodCode;
    /**
     * prodName 产品名.
     */
    private String prodName;
    /**
     * gmtCreator 创建人.
     */
    private String gmtCreator;
    /**
     * gmtModifier 修改人.
     */
    private String gmtModifier;
    /**
     * approveStatus 审批状态.
     */
    private String approveStatus;
    /**
     * lenderOrgCode 贷款的实际出资机构.
     */
    private String lenderOrgCode;
    /**
     * abssqrProdCode 内部产品码.
     */
    private String abssqrProdCode;
    /**
     * managerOrgCode 贷款的管理机构.
     */
    private String managerOrgCode;
    /**
     * gmtCreate .
     */
    private Date gmtCreate;
    /**
     * gmtModified .
     */
    private Date gmtModified;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set prodCode 外部产品码.
     */
    public void setProdCode(String prodCode){
        this.prodCode = prodCode;
    }

    /**
     * Get prodCode 外部产品码.
     *
     * @return the string
     */
    public String getProdCode(){
        return prodCode;
    }

    /**
     * Set prodName 产品名.
     */
    public void setProdName(String prodName){
        this.prodName = prodName;
    }

    /**
     * Get prodName 产品名.
     *
     * @return the string
     */
    public String getProdName(){
        return prodName;
    }

    /**
     * Set gmtCreator 创建人.
     */
    public void setGmtCreator(String gmtCreator){
        this.gmtCreator = gmtCreator;
    }

    /**
     * Get gmtCreator 创建人.
     *
     * @return the string
     */
    public String getGmtCreator(){
        return gmtCreator;
    }

    /**
     * Set gmtModifier 修改人.
     */
    public void setGmtModifier(String gmtModifier){
        this.gmtModifier = gmtModifier;
    }

    /**
     * Get gmtModifier 修改人.
     *
     * @return the string
     */
    public String getGmtModifier(){
        return gmtModifier;
    }

    /**
     * Set approveStatus 审批状态.
     */
    public void setApproveStatus(String approveStatus){
        this.approveStatus = approveStatus;
    }

    /**
     * Get approveStatus 审批状态.
     *
     * @return the string
     */
    public String getApproveStatus(){
        return approveStatus;
    }

    /**
     * Set lenderOrgCode 贷款的实际出资机构.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 贷款的实际出资机构.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set abssqrProdCode 内部产品码.
     */
    public void setAbssqrProdCode(String abssqrProdCode){
        this.abssqrProdCode = abssqrProdCode;
    }

    /**
     * Get abssqrProdCode 内部产品码.
     *
     * @return the string
     */
    public String getAbssqrProdCode(){
        return abssqrProdCode;
    }

    /**
     * Set managerOrgCode 贷款的管理机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 贷款的管理机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set gmtCreate .
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate .
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified .
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified .
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
