package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import java.util.Date;
import com.general.system.common.model.Money;


/**
 * The table PlanAstReportStat
 */
public class PlanAstReportStat  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * statType 统计项.
     */
    private String statType;
    /**
     * statVal 统计值.
     */
    private String statVal;
    /**
     * eventCode 事件码.
     */
    private String eventCode;
    /**
     * accountDate 会计日期.
     */
    private Date accountDate;
    /**
     * astChg 交易对手.
     */
    private Long astChg;
    /**
     * prinAmt .
     */
    private Money prinAmt;
    /**
     * ovdPrinAmt .
     */
    private Money ovdPrinAmt;
    /**
     * intrAmt .
     */
    private Money intrAmt;
    /**
     * ovdIntrAmt .
     */
    private Money ovdIntrAmt;
    /**
     * feeAmt .
     */
    private Money feeAmt;
    /**
     * ovdFeeAmt .
     */
    private Money ovdFeeAmt;
    /**
     * prinPenalAmt .
     */
    private Money prinPenalAmt;
    /**
     * intrPenalAmt .
     */
    private Money intrPenalAmt;
    /**
     * feePenalAmt .
     */
    private Money feePenalAmt;
    /**
     * cost .
     */
    private Money cost;
    /**
     * orgDistpftAmt .
     */
    private Money orgDistpftAmt;
    /**
     * otherFeeAmt 其他费用发生额.
     */
    private Money otherFeeAmt;
    /**
     * otherFeePenalAmt 其他费用滞纳金.
     */
    private Money otherFeePenalAmt;




    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set statType 统计项.
     */
    public void setStatType(String statType){
        this.statType = statType;
    }

    /**
     * Get statType 统计项.
     *
     * @return the string
     */
    public String getStatType(){
        return statType;
    }

    /**
     * Set statVal 统计值.
     */
    public void setStatVal(String statVal){
        this.statVal = statVal;
    }

    /**
     * Get statVal 统计值.
     *
     * @return the string
     */
    public String getStatVal(){
        return statVal;
    }

    /**
     * Set eventCode 事件码.
     */
    public void setEventCode(String eventCode){
        this.eventCode = eventCode;
    }

    /**
     * Get eventCode 事件码.
     *
     * @return the string
     */
    public String getEventCode(){
        return eventCode;
    }

    /**
     * Set accountDate 会计日期.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会计日期.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set astChg 交易对手.
     */
    public void setAstChg(Long astChg){
        this.astChg = astChg;
    }

    /**
     * Get astChg 交易对手.
     *
     * @return the string
     */
    public Long getAstChg(){
        return astChg;
    }

    /**
     * Set prinAmt .
     */
    public void setPrinAmt(Money prinAmt){
        this.prinAmt = prinAmt;
    }

    /**
     * Get prinAmt .
     *
     * @return the string
     */
    public Money getPrinAmt(){
        return prinAmt;
    }

    /**
     * Set ovdPrinAmt .
     */
    public void setOvdPrinAmt(Money ovdPrinAmt){
        this.ovdPrinAmt = ovdPrinAmt;
    }

    /**
     * Get ovdPrinAmt .
     *
     * @return the string
     */
    public Money getOvdPrinAmt(){
        return ovdPrinAmt;
    }

    /**
     * Set intrAmt .
     */
    public void setIntrAmt(Money intrAmt){
        this.intrAmt = intrAmt;
    }

    /**
     * Get intrAmt .
     *
     * @return the string
     */
    public Money getIntrAmt(){
        return intrAmt;
    }

    /**
     * Set ovdIntrAmt .
     */
    public void setOvdIntrAmt(Money ovdIntrAmt){
        this.ovdIntrAmt = ovdIntrAmt;
    }

    /**
     * Get ovdIntrAmt .
     *
     * @return the string
     */
    public Money getOvdIntrAmt(){
        return ovdIntrAmt;
    }

    /**
     * Set feeAmt .
     */
    public void setFeeAmt(Money feeAmt){
        this.feeAmt = feeAmt;
    }

    /**
     * Get feeAmt .
     *
     * @return the string
     */
    public Money getFeeAmt(){
        return feeAmt;
    }

    /**
     * Set ovdFeeAmt .
     */
    public void setOvdFeeAmt(Money ovdFeeAmt){
        this.ovdFeeAmt = ovdFeeAmt;
    }

    /**
     * Get ovdFeeAmt .
     *
     * @return the string
     */
    public Money getOvdFeeAmt(){
        return ovdFeeAmt;
    }

    /**
     * Set prinPenalAmt .
     */
    public void setPrinPenalAmt(Money prinPenalAmt){
        this.prinPenalAmt = prinPenalAmt;
    }

    /**
     * Get prinPenalAmt .
     *
     * @return the string
     */
    public Money getPrinPenalAmt(){
        return prinPenalAmt;
    }

    /**
     * Set intrPenalAmt .
     */
    public void setIntrPenalAmt(Money intrPenalAmt){
        this.intrPenalAmt = intrPenalAmt;
    }

    /**
     * Get intrPenalAmt .
     *
     * @return the string
     */
    public Money getIntrPenalAmt(){
        return intrPenalAmt;
    }

    /**
     * Set feePenalAmt .
     */
    public void setFeePenalAmt(Money feePenalAmt){
        this.feePenalAmt = feePenalAmt;
    }

    /**
     * Get feePenalAmt .
     *
     * @return the string
     */
    public Money getFeePenalAmt(){
        return feePenalAmt;
    }

    /**
     * Set cost .
     */
    public void setCost(Money cost){
        this.cost = cost;
    }

    /**
     * Get cost .
     *
     * @return the string
     */
    public Money getCost(){
        return cost;
    }

    /**
     * Set orgDistpftAmt .
     */
    public void setOrgDistpftAmt(Money orgDistpftAmt){
        this.orgDistpftAmt = orgDistpftAmt;
    }

    /**
     * Get orgDistpftAmt .
     *
     * @return the string
     */
    public Money getOrgDistpftAmt(){
        return orgDistpftAmt;
    }

    /**
     * Set otherFeeAmt 其他费用发生额.
     */
    public void setOtherFeeAmt(Money otherFeeAmt){
        this.otherFeeAmt = otherFeeAmt;
    }

    /**
     * Get otherFeeAmt 其他费用发生额.
     *
     * @return the string
     */
    public Money getOtherFeeAmt(){
        return otherFeeAmt;
    }

    /**
     * Set otherFeePenalAmt 其他费用滞纳金.
     */
    public void setOtherFeePenalAmt(Money otherFeePenalAmt){
        this.otherFeePenalAmt = otherFeePenalAmt;
    }

    /**
     * Get otherFeePenalAmt 其他费用滞纳金.
     *
     * @return the string
     */
    public Money getOtherFeePenalAmt(){
        return otherFeePenalAmt;
    }



}
