/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.model;

import com.abssqr.plat.common.facade.enums.DataChangeBizTypeEnum;

/**
 * @author yangcheng
 * @version BizDataChange.java, v0.12019-06-1414:37 yangchengExp$
 */
public class BizDataChange<T> {
    /**
     * name 变更名称-同审批流名称.
     */
    private String                name;
    /**
     * bizType 业务类型.
     */
    private DataChangeBizTypeEnum bizType;
    /**
     * bizNo 业务编号.
     */
    private String                bizNo;
    /**
     * datas 变更后数据.
     */
    private T                     datas;
    /**
     * changeNo 变更编号.
     */
    private String                changeNo;
    /**
     * approveStatus 最终审批状态   审批中，已通过，未通过.
     */
    private String                approveStatus;
    
    
    public BizDataChange(){
    
    }
    
    public BizDataChange(DataChangeBizTypeEnum typeEnum){
        this.bizType = typeEnum;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public DataChangeBizTypeEnum getBizType() {
        return bizType;
    }
    
    public void setBizType(DataChangeBizTypeEnum bizType) {
        this.bizType = bizType;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public T getDatas() {
        return datas;
    }
    
    public void setDatas(T datas) {
        this.datas = datas;
    }
    
    public String getChangeNo() {
        return changeNo;
    }
    
    public void setChangeNo(String changeNo) {
        this.changeNo = changeNo;
    }
    
    public String getApproveStatus() {
        return approveStatus;
    }
    
    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }
}
