/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.PlanIndicatorEnum;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @author yangcheng
 * @version PlanMonitorRecord.java, v0.12019-07-0318:53 yangchengExp$
 */
public class PlanMonitorRecord extends BaseEntity implements Serializable {
    private static final long              serialVersionUID = -6426843837891366440L;
    /**
     * id 主键ID.
     */
    private              Long              id;
    /**
     * value 当前事项指标值.
     */
    private              BigDecimal        value;
    /**
     * excessValue 当前超标值.
     */
    private              BigDecimal        excessValue;
    /**
     * planNo 计划编号.
     */
    private              String            planNo;
    /**
     * monitorName 事项名称.
     */
    private              String            monitorName;
    /**
     * indicator 监控指标.
     */
    private              PlanIndicatorEnum indicator;
    /**
    /**
     * gmtCreate 创建时间.
     */
    private              Date              gmtCreate;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public BigDecimal getValue() {
        return value;
    }
    
    public void setValue(BigDecimal value) {
        this.value = value;
    }
    
    public BigDecimal getExcessValue() {
        return excessValue;
    }
    
    public void setExcessValue(BigDecimal excessValue) {
        this.excessValue = excessValue;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public PlanIndicatorEnum getIndicator() {
        return indicator;
    }
    
    public void setIndicator(PlanIndicatorEnum indicator) {
        this.indicator = indicator;
    }
    
    public Date getGmtCreate() {
        return gmtCreate;
    }
    
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    
    public String getMonitorName() {
        return monitorName;
    }
    
    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }
}
