/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: StatCommonAmt.java, v 0.1 2019-07-01 01:07 zhenxuan.luo Exp $
 */
public class CommonPropStat extends BaseEntity implements Serializable {
    
    private static final long serialVersionUID = -462803808395386275L;
    
    /**
     * 属性值
     */
    private String propVal;
    /**
     * 最小
     */
    private BigDecimal min  = BigDecimal.ZERO;
    /**
     * 最大
     */
    private BigDecimal max  = BigDecimal.ZERO;
    /**
     * 平均
     */
    private BigDecimal avg  = BigDecimal.ZERO;
    /**
     * 加权平均
     */
    private BigDecimal wAvg = BigDecimal.ZERO;
    
    public String getPropVal() {
        return propVal;
    }
    
    public void setPropVal(String propVal) {
        this.propVal = propVal;
    }
    
    public BigDecimal getMin() {
        return min;
    }
    
    public void setMin(BigDecimal min) {
        this.min = min;
    }
    
    public BigDecimal getMax() {
        return max;
    }
    
    public void setMax(BigDecimal max) {
        this.max = max;
    }
    
    public BigDecimal getAvg() {
        return avg;
    }
    
    public void setAvg(BigDecimal avg) {
        this.avg = avg;
    }
    
    public BigDecimal getwAvg() {
        return wAvg;
    }
    
    public void setwAvg(BigDecimal wAvg) {
        this.wAvg = wAvg;
    }
}