/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.trans;

import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * 结算单
 * @author hanfei
 * @version $Id: PlanClearingOrder.java, v 0.1 2019-07-11 10:20 PM hanfei Exp $ 
 */
public class PlanClearingOrder {
    /**
     * id ID.
     */
    private Long           id;
    /**
     * transAmt 交易金额.
     */
    private Money          transAmt = new Money();
    /**
     * seqNo 流水号.
     */
    private String         seqNo;
    /**
     * planNo 计划编号.
     */
    private String         planNo;
    /**
     * execTms .
     */
    private String         execTms;
    /**
     * transCode 交易编码.
     */
    private TransCodeEnum  transCode;
    /**
     * cntPtyCode 交易对手编码.
     */
    private String         cntPtyCode;
    /**
     * transStatus 交易状态.
     */
    private TaskStatusEnum transStatus;
    /**
     * transOrderNo 交易单据编号.
     */
    private String         transOrderNo;
    /**
     * accountDate 会记日.
     */
    private Date           accountDate;
    /**
     * memo 备注.
     */
    private String         memo;
    /**
     * logMinMaxId 关联流水ID最大最小范围.
     */
    private String         logMinMaxId;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public Money getTransAmt() {
        return transAmt;
    }
    
    public void setTransAmt(Money transAmt) {
        this.transAmt = transAmt;
    }
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getExecTms() {
        return execTms;
    }
    
    public void setExecTms(String execTms) {
        this.execTms = execTms;
    }
    
    public TransCodeEnum getTransCode() {
        return transCode;
    }
    
    public void setTransCode(TransCodeEnum transCode) {
        this.transCode = transCode;
    }
    
    public String getCntPtyCode() {
        return cntPtyCode;
    }
    
    public void setCntPtyCode(String cntPtyCode) {
        this.cntPtyCode = cntPtyCode;
    }
    
    public TaskStatusEnum getTransStatus() {
        return transStatus;
    }
    
    public void setTransStatus(TaskStatusEnum transStatus) {
        this.transStatus = transStatus;
    }
    
    public String getTransOrderNo() {
        return transOrderNo;
    }
    
    public void setTransOrderNo(String transOrderNo) {
        this.transOrderNo = transOrderNo;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public String getMemo() {
        return memo;
    }
    
    public void setMemo(String memo) {
        this.memo = memo;
    }
    
    public String getLogMinMaxId() {
        return logMinMaxId;
    }
    
    public void setLogMinMaxId(String logMinMaxId) {
        this.logMinMaxId = logMinMaxId;
    }
    
}
