/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.base;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.base: BasePlanQryParam.java, v 0.1 2019-05-28 17:33 zhenxuan.luo Exp $
 */
public class CommonPlanLogQryParam extends CommonPlanQryParam {
    
    private static final long   serialVersionUID = 3912954078684522783L;
    @VldString(message = "流水序列号不能为空")
    private              String seqNo;
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
}