/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.org;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.org: OrgQryParam.java, v 0.1 2019-05-28 11:06 zhenxuan.luo Exp $
 */
public class OrgQryParam extends BaseParam {
    
    private static final long serialVersionUID = -3956537222033629375L;
    
    @VldString(message = "机构编号不能为空")
    private String orgCode;
    
    public String getOrgCode() {
        return orgCode;
    }
    
    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
}