/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 统计图数据模型
 * @author hanfei
 * @version $Id: AnalyseChartItemVO.java, v 0.1 2019-09-18 6:26 PM hanfei Exp $
 */
public class AnalyseChartItemVO extends BaseEntity implements Serializable {
    
    /**
     * X轴条目
     */
    private String entry;
    
    /**
     * Y轴条目值
     */
    private BigDecimal value = BigDecimal.ZERO;
    
    /**
     * 项目（显示多条）
     */
    private String item;
    
    
    public String getEntry() {
        return entry;
    }
    
    public void setEntry(String entry) {
        this.entry = entry;
    }
    
    public BigDecimal getValue() {
        return value;
    }
    
    public void setValue(BigDecimal value) {
        this.value = value;
    }
    
    public String getItem() {
        return item;
    }
    
    public void setItem(String item) {
        this.item = item;
    }
}
