/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

/**
 * 项目分析中的计划展示信息
 * @author hanfei
 * @version $Id: PlanAnalyseVO.java, v 0.1 2019-09-24 3:51 PM hanfei Exp $ 
 */
public class PlanAnalyseVO extends BaseEntity implements Serializable {
    
    /**
     * 计划编号
     */
    private String planNo;
    /**
     * 计划名称
     */
    private String planName;
    /**
     * 本金规模
     */
    private Money  prinScale = new Money();
    /**
     * 业务日期
     */
    private String accountDate;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
    
    public Money getPrinScale() {
        return prinScale;
    }
    
    public void setPrinScale(Money prinScale) {
        this.prinScale = prinScale;
    }
    
    public String getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(String accountDate) {
        this.accountDate = accountDate;
    }
}
