/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.org;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.result.org: OrgListVO.java, v 0.1 2019-05-28 11:17 zhenxuan.luo Exp $
 */
public class OrgListVO extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 8896289732910936575L;
    
    /**
     * 机构编码
     */
    private String orgCode;
    /**
     * 机构简称
     */
    private String orgAbbr;
    /**
     * orgName 机构全称.
     */
    private String orgName;
    /**
     * linkmanName 姓名.
     */
    private String linkmanName;
    /**
     * linkmanPhone 电话.
     */
    private String linkmanPhone;
    
    public String getOrgName() {
        return orgName;
    }
    
    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
    
    public String getLinkmanName() {
        return linkmanName;
    }
    
    public void setLinkmanName(String linkmanName) {
        this.linkmanName = linkmanName;
    }
    
    public String getLinkmanPhone() {
        return linkmanPhone;
    }
    
    public void setLinkmanPhone(String linkmanPhone) {
        this.linkmanPhone = linkmanPhone;
    }
    
    public String getOrgCode() {
        return orgCode;
    }
    
    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
    
    public String getOrgAbbr() {
        return orgAbbr;
    }
    
    public void setOrgAbbr(String orgAbbr) {
        this.orgAbbr = orgAbbr;
    }
}