/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.service.plan;

import com.abssqr.plat.common.facade.param.plan.PlanDelOprParam;
import com.abssqr.plat.common.facade.param.plan.PlanOprParam;
import com.abssqr.plat.common.facade.param.plan.PlanPageQryParam;
import com.abssqr.plat.common.facade.param.plan.PlanQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.plan.PlanListVO;
import com.abssqr.plat.common.facade.result.plan.PlanVO;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.service: PlanService.java, v 0.1 2019-05-28 14:17 bangis.wangdf Exp $
 */
public interface PlanService {
    /**
     * 产品分页查询
     *
     * @param param
     * @return
     */
    BasePage<PlanListVO> getPlanList(PlanPageQryParam param, boolean ast);

    /**
     * 新增OrUpdate
     *
     * @param param
     * @return
     */
    String edit(PlanOprParam param);

    /**
     * 删除草稿箱
     * @param param
     */
    void deleteDraftPlan(PlanDelOprParam param);

    /**
     *
     * @param param
     * @return
     */
    PlanVO getPlan(PlanQryParam param);


}
