/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.acct;

import com.abssqr.plat.common.model.domain.accounting.AcctDate;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;

import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: AcctDateRepo.java, v 0.1 2020-03-06 10:58 AM hanfei Exp $ 
 */
public interface AcctDateRepo {
    
    int addAcctDate(AcctDate acctDate);
    
    int modifyAcctDate(AcctDate acctDate);
    
    AcctDate getAcctDate(OrgCodeEnum orgCode);
    
    List<AcctDate> queryAcctDate();
    
    AcctDate getForLock(OrgCodeEnum orgCode);
}
