/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.facade.model.plan.FeeStructure;

import java.util.List;

/**
 * @author yaphet
 * @version com.abssqr.admin.common.model.repo.plan: PlanFeeStructureRepo.java, v 0.1 2018-01-19 下午12:43 yaphet Exp $
 */
public interface PlanFeeStructureRepo {

    /**
     * 获取计划费用结构
     *
     * @param planNo
     * @return
     */
    List<FeeStructure> selectByPlanNo(String planNo);

    /**
     * 清理费用
     *
     * @param planNo
     */
    void cleanByPlanNo(String planNo);

    /**
     * 增加计划费用
     *
     * @param planNo
     * @param feeStructureList
     */
    void add(String planNo, List<FeeStructure> feeStructureList);

}
