/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.rule;

import com.abssqr.plat.common.facade.model.rule.AstPriceRule;

import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: AstPriceRuleRepo.java, v 0.1 2020-02-07 10:13 PM hanfei Exp $ 
 */

public interface AstPriceRuleRepo {
    /**
     * 创建计价规则
     * @param abssqrProdCode
     * @param list
     * @return
     */
    int savePriceRule(String abssqrProdCode, List<AstPriceRule> list);

    /**
     * 根据产品查询定价规则
     * @param abssqrProdCode
     * @return
     */
    List<AstPriceRule> getByAbsProdCode(String abssqrProdCode);
}
