package com.abssqr.plat.test.testUtils;

import java.math.BigDecimal;
import java.util.Date;

public class WkMfsRepayPlanParam {

//    /**
//     * orgNo 机构码.
//     */
//    private String orgNo;
//    /**
//     * dataId 主键.
//     */
//    private String dataId;
//    /**
//     * fundNo 资金编号.
//     */
//    private String fundNo;
//    /**
//     * loanId 借据号.
//     */
//    private String loanId;
//    /**
//     * projNo 项目编号.
//     */
//    private String projNo;
//    /**
//     * txDate 入库日期.
//     */
//    private String txDate;
//    /**
//     * curDate 账务日期.
//     */
//    private String curDate;
//    /**
//     * dataSts 数据标志（01-新增 02-历史）.
//     */
//    private String dataSts;
    /**
     * endDate 到期日期.
     */
    private String endDate;
    /**
     * clearDate 结清日期.
     */
    private String clearDate;
    /**
     * startDate 开始日期.
     */
    private String startDate;
    /**
     * termStatus 本期状态[1-正常 2-逾期 3-已冲正 4-已撤销 5-已结清].
     */
    private String termStatus;
//    /**
//     * accountState 对账状态[00-未对账 01--通过 02-未通过].
//     */
//    private String accountState;
    /**
     * termNo 期序.
     */
    private Integer termNo;
//    /**
//     * absSyncDate ABS数据日期.
//     */
//    private Date absSyncDate;
    /**
     * intBal 利息余额.
     */
    private BigDecimal intBal;
    /**
     * remPrin 剩余本金.
     */
    private BigDecimal remPrin;
    /**
     * expCount 一次性结清应还金额.
     */
    private BigDecimal expCount;
    /**
     * intRepay 已还利息.
     */
    private BigDecimal intRepay;
    /**
     * intTotal 应还利息.
     */
    private BigDecimal intTotal;
    /**
     * prinRepay 已还本金.
     */
    private BigDecimal prinRepay;
    /**
     * prinTotal 应还本金.
     */
    private BigDecimal prinTotal;
    /**
     * chargesRepay 已还分期手续费.
     */
    private BigDecimal chargesRepay;
    /**
     * chargesTotal 应还分期手续费.
     */
    private BigDecimal chargesTotal;
    /**
     * fundFeeRepay 已还借款服务费.
     */
    private BigDecimal fundFeeRepay;
    /**
     * fundFeeTotal 应还借款服务费.
     */
    private BigDecimal fundFeeTotal;
    /**
     * overdueRepay 已还逾期费.
     */
    private BigDecimal overdueRepay;
    /**
     * overdueTotal 应还逾期费.
     */
    private BigDecimal overdueTotal;
    /**
     * pnltIntRepay 已还罚息.
     */
    private BigDecimal pnltIntRepay;
    /**
     * pnltIntTotal 应还罚息.
     */
    private BigDecimal pnltIntTotal;
    /**
     * serviceRepay 已还展期服务费.
     */
    private BigDecimal serviceRepay;
    /**
     * serviceTotal 应还展期服务费.
     */
    private BigDecimal serviceTotal;
    /**
     * intReducedAmt 减免利息.
     */
    private BigDecimal intReducedAmt;
    /**
     * pnltReducedAmt 减免罚息.
     */
    private BigDecimal pnltReducedAmt;
    /**
     * fundFeeReducedAmt 减免借款服务费.
     */
    private BigDecimal fundFeeReducedAmt;
    /**
     * repayViolateRepay 已还提前还款违约金.
     */
    private BigDecimal repayViolateRepay;
    /**
     * repayViolateTotal 应还提前还款违约金.
     */
    private BigDecimal repayViolateTotal;
    /**
     * refundViolateRepay 已还退款违约金.
     */
    private BigDecimal refundViolateRepay;
    /**
     * refundViolateTotal 应还退款违约金.
     */
    private BigDecimal refundViolateTotal;

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getClearDate() {
        return clearDate;
    }

    public void setClearDate(String clearDate) {
        this.clearDate = clearDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getTermStatus() {
        return termStatus;
    }

    public void setTermStatus(String termStatus) {
        this.termStatus = termStatus;
    }

    public Integer getTermNo() {
        return termNo;
    }

    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }

    public BigDecimal getIntBal() {
        return intBal;
    }

    public void setIntBal(BigDecimal intBal) {
        this.intBal = intBal;
    }

    public BigDecimal getRemPrin() {
        return remPrin;
    }

    public void setRemPrin(BigDecimal remPrin) {
        this.remPrin = remPrin;
    }

    public BigDecimal getExpCount() {
        return expCount;
    }

    public void setExpCount(BigDecimal expCount) {
        this.expCount = expCount;
    }

    public BigDecimal getIntRepay() {
        return intRepay;
    }

    public void setIntRepay(BigDecimal intRepay) {
        this.intRepay = intRepay;
    }

    public BigDecimal getIntTotal() {
        return intTotal;
    }

    public void setIntTotal(BigDecimal intTotal) {
        this.intTotal = intTotal;
    }

    public BigDecimal getPrinRepay() {
        return prinRepay;
    }

    public void setPrinRepay(BigDecimal prinRepay) {
        this.prinRepay = prinRepay;
    }

    public BigDecimal getPrinTotal() {
        return prinTotal;
    }

    public void setPrinTotal(BigDecimal prinTotal) {
        this.prinTotal = prinTotal;
    }

    public BigDecimal getChargesRepay() {
        return chargesRepay;
    }

    public void setChargesRepay(BigDecimal chargesRepay) {
        this.chargesRepay = chargesRepay;
    }

    public BigDecimal getChargesTotal() {
        return chargesTotal;
    }

    public void setChargesTotal(BigDecimal chargesTotal) {
        this.chargesTotal = chargesTotal;
    }

    public BigDecimal getFundFeeRepay() {
        return fundFeeRepay;
    }

    public void setFundFeeRepay(BigDecimal fundFeeRepay) {
        this.fundFeeRepay = fundFeeRepay;
    }

    public BigDecimal getFundFeeTotal() {
        return fundFeeTotal;
    }

    public void setFundFeeTotal(BigDecimal fundFeeTotal) {
        this.fundFeeTotal = fundFeeTotal;
    }

    public BigDecimal getOverdueRepay() {
        return overdueRepay;
    }

    public void setOverdueRepay(BigDecimal overdueRepay) {
        this.overdueRepay = overdueRepay;
    }

    public BigDecimal getOverdueTotal() {
        return overdueTotal;
    }

    public void setOverdueTotal(BigDecimal overdueTotal) {
        this.overdueTotal = overdueTotal;
    }

    public BigDecimal getPnltIntRepay() {
        return pnltIntRepay;
    }

    public void setPnltIntRepay(BigDecimal pnltIntRepay) {
        this.pnltIntRepay = pnltIntRepay;
    }

    public BigDecimal getPnltIntTotal() {
        return pnltIntTotal;
    }

    public void setPnltIntTotal(BigDecimal pnltIntTotal) {
        this.pnltIntTotal = pnltIntTotal;
    }

    public BigDecimal getServiceRepay() {
        return serviceRepay;
    }

    public void setServiceRepay(BigDecimal serviceRepay) {
        this.serviceRepay = serviceRepay;
    }

    public BigDecimal getServiceTotal() {
        return serviceTotal;
    }

    public void setServiceTotal(BigDecimal serviceTotal) {
        this.serviceTotal = serviceTotal;
    }

    public BigDecimal getIntReducedAmt() {
        return intReducedAmt;
    }

    public void setIntReducedAmt(BigDecimal intReducedAmt) {
        this.intReducedAmt = intReducedAmt;
    }

    public BigDecimal getPnltReducedAmt() {
        return pnltReducedAmt;
    }

    public void setPnltReducedAmt(BigDecimal pnltReducedAmt) {
        this.pnltReducedAmt = pnltReducedAmt;
    }

    public BigDecimal getFundFeeReducedAmt() {
        return fundFeeReducedAmt;
    }

    public void setFundFeeReducedAmt(BigDecimal fundFeeReducedAmt) {
        this.fundFeeReducedAmt = fundFeeReducedAmt;
    }

    public BigDecimal getRepayViolateRepay() {
        return repayViolateRepay;
    }

    public void setRepayViolateRepay(BigDecimal repayViolateRepay) {
        this.repayViolateRepay = repayViolateRepay;
    }

    public BigDecimal getRepayViolateTotal() {
        return repayViolateTotal;
    }

    public void setRepayViolateTotal(BigDecimal repayViolateTotal) {
        this.repayViolateTotal = repayViolateTotal;
    }

    public BigDecimal getRefundViolateRepay() {
        return refundViolateRepay;
    }

    public void setRefundViolateRepay(BigDecimal refundViolateRepay) {
        this.refundViolateRepay = refundViolateRepay;
    }

    public BigDecimal getRefundViolateTotal() {
        return refundViolateTotal;
    }

    public void setRefundViolateTotal(BigDecimal refundViolateTotal) {
        this.refundViolateTotal = refundViolateTotal;
    }
}
